var server = "https://m.guanjia.cz888.com/AppApi/update"; //获取升级描述文件服务器地址
var list = null;

function update() {
	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var wgtVer = inf.version;
		mui.ajax(server, {
			data: {
				appid: plus.runtime.appid,
				version: plus.runtime.version,
				client: plus.os.name,
				wgtVer: wgtVer
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 20000, //超时时间设置为20秒；
			success: function(data) {
				list = data;
				if(data.status == 1) {
					if(data.must == 1) {
						plus.nativeUI.alert(data.note, function(event) {
							plus.runtime.openURL(data.url);
						}, data.title, "立即更新");
					} else {
						plus.nativeUI.confirm(data.note, function(event) {
							if(0 == event.index) {
								plus.runtime.openURL(data.url);
							}
						}, data.title, ["立即更新", "取　　消"]);
					}

				} else {
					if(data.wt == 1) {
						downWgt(data.url);
					}
				}
			}
		});
	});

}
// 下载wgt文件
function downWgt(wgtUrl) {
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			installWgt(d.filename); // 安装wgt包
		} else {
			plus.nativeUI.alert("获取自动更新文件失败", function(e) {}, "系统提示", "确定");
		}
	}).start();
}
// 更新应用资源
function installWgt(path) {
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.confirm(list.note, function(e) {
			if(e.index == 1) {
				plus.runtime.restart();
			}
		}, list.title, ['否', '是']);		
	}, function(e) {
		plus.nativeUI.alert("自动更新应用文件失败"+e.message, function(e) {}, "系统提示", "确定");
	});
}
mui.os.plus && !mui.os.stream && mui.plusReady(update);