define(function() {
	var R = {
		Type: null,
		_this: null
	};

	R._Init = function(Type) {
		R.Type = Type || 'All';
		mui('body').on('tap', '.mic-pics-nl', function() {
			document.activeElement.blur();
		});
		mui('body').on('tap', '.mui-popover-action li>a', function() {
			var a = this,
				parent;
			//根据点击按钮，反推当前是哪个actionsheet
			for(parent = a.parentNode; parent != document.body; parent = parent.parentNode) {
				if(parent.classList.contains('mui-popover-action')) {
					break;
				}
			}
			//关闭actionsheet
			mui('#' + parent.id).popover('toggle');

			var Id = this.getAttribute('data-id')
			if(Id == 1) {
				R._GetImage();
			}
			if(Id == 2) {
				if(R.Type == 'A') {
					R._galleryImg();
				} else {
					R._galleryImgs();
				}
			}
		});
	};
	R._ClickEvent = function(_this) {
		R._this = _this;
	};
	R._GetImage = function() {
		var cmr = plus.camera.getCamera();
		cmr.captureImage(function(path) {
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				R._PicsHtml(entry.toLocalURL());
			}, function(e) {
				mui.toast("读取拍照文件错误,请重试")
			});
		}, function(e) {
			mui.toast("取消拍照");
		});
	};
	//单个图片
	R._galleryImg = function() {
		plus.gallery.pick(function(path) {
			R._PicsHtml(path);
		}, function(e) {
			mui.toast("取消选择图片");
		}, {
			filter: "image"
		});
	};
	//多张图片
	R._galleryImgs = function() {
		plus.gallery.pick(function(e) {
			for(var i in e.files) {
				R._PicsHtml(e.files[i]);
			}
		}, function(e) {
			mui.toast("取消选择图片");
		}, {
			filter: "image",
			multiple: true,
			system: false
		});
	};
	R._PicsHtml = function(path_url) {
		if(R.Type == 'A') {
			var shtml = '<div class="mic-pics-list mic-assure-pics mic-pics-none" data-path=' + path_url + ' style="background-image: url(' + path_url + ');"><span class="mic-pics-remove mui-icon mui-icon-closeempty"></span></div>';
			$(R._this).before(shtml).hide();
			R._PicsEvent();
		} else {
			var shtml = '<div class="mic-pics-list mic-pics-none" data-path=' + path_url + ' style="background-image: url(' + path_url + ');"><span class="mic-pics-remove mui-icon mui-icon-closeempty"></span></div>';
			$('#BeforePics').before(shtml);
			R._PicsEvent();
		}

	};
	R._PicsEvent = function() {
		mui('body').off('tap', '.mic-pics-remove');
		mui('body').on('tap', '.mic-pics-remove', function() {
			if(R.Type=='A'){
				$(this).closest('.mic-pics-list').next().show();
			}
			$(this).closest('.mic-pics-list').remove();
		});
	};
	R._UploadsEvent = function(Data, URL, cb) {
		var files = [];
		var url = 'https://m.guanjia.cz888.com/' + URL;
		$('.mic-pics-none').each(function(i) {
			files.push({
				name: $(this).attr('data-name') || "key" + i,
				path: $(this).attr('data-path')
			});
		});
		var wt = plus.nativeUI.showWaiting();
		var task = plus.uploader.createUpload(url, {
				method: "POST"
			},
			function(t, status) { //上传完成
				wt.close();
				if(status == 200) {
					cb(t.responseText)
				} else {
					cb({
						Code: 0,
						Data: status
					})
				}
			}
		);
		var u = plus.storage.getItem('UserInfo');
		u = JSON.parse(u);
		Data.uid = u.uid;
		Data.openid = u.openid;
		task.addData("Data", JSON.stringify(Data));

		for(var i = 0; i < files.length; i++) {
			var f = files[i];
			task.addFile(f.path, {
				key: f.name
			});
		}
		task.start();
	};
	return {
		Init: R._Init,
		ClickEvent: R._ClickEvent,
		UploadsEvent: R._UploadsEvent
	}
})