define(['met', 'mos'], function(met, mos) {
	var _ = {
		Data: null,
		TData: null,
		Type: null,
		Id: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.Id = plus.webview.currentWebview().Id || 'All';

		var data = null,
			d = null;
		if(_.Id == 'Batch') {
			data = plus.webview.currentWebview().Data.m; //套餐
			d = plus.webview.currentWebview().Data.d; //其他
		} else {
			data = plus.webview.currentWebview().Data;
		}
		_.Data = d;
		var controls = document.getElementById("segmentedControls");
		var contents = document.getElementById("segmentedControlContents");
		var shtml = [],
			k = 0;
		for(var m in data) {
			k++;
			if(k == 1) _.Type = m;
			shtml.push('<a class="mui-control-item" href="#Product' + k + '">' + m + '</a>');
		}
		if(_.Id == 'Batch') {
			shtml.push('<a class="mui-control-item" href="#Product' + (k + 1) + '">其它</a>');
		}
		controls.innerHTML = shtml.join('');
		shtml = [], k = 0;
		for(var m in data) {
			k++;
			shtml.push('<div id="Product' + k + '" class="mui-control-content"><ul class="mui-table-view">');
			for(var n in data[m]) {
				shtml.push('<li class="mui-table-view-cell product-view-cell" data-list=' + "'" + JSON.stringify(data[m][n]) + "'" + '>' + data[m][n].Name + '</li>');
			}
			shtml.push('</ul></div>');
		}
		if(_.Id == 'Batch') {
			for(var x in d) {
				k++;
				shtml.push('<div id="Product' + k + '" class="mui-control-content"><ul class="mui-table-view">');
				for(var y in d[x]) {
					shtml.push('<li class="mui-table-view-cell product-view-cell" data-list=' + "'" + JSON.stringify(d[x][y]) + "'" + ' data-id="其它">' + d[x][y].Name + '</li>');
				}
				shtml.push('</ul></div>');
			}
		}
		contents.innerHTML = shtml.join('');
		//默认选中第一个
		controls.querySelector('.mui-control-item').classList.add('mui-active');
		contents.querySelector('.mui-control-content').classList.add('mui-active');
		_.event();
		_.SearchEvent();
	};
	_.SearchEvent = function() {
		mui('body').on('tap', '#SearchBtn', function() {
			var html = [];
			html.push('<div class="mic-search"><header id="dheader" class="mui-bar mui-bar-nav mic-bar"><form method="post"><input class="mic-search-input" type="search" placeholder="请搜索产品名称"/><span class="mic-search-cancel">取消</span></form></header>');
			html.push('<div id="SearchScroll" class="mui-scroll-wrapper" style="margin-top: 44px;"><div class="mui-scroll"></div></div></div>');
			$('body').append(html.join(''));
			var immersed = 0;
			var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
			if(ms && ms.length >= 3) {
				immersed = parseFloat(ms[2]);
				var t = document.getElementById('dheader');
				t && (t.style.paddingTop = immersed + 'px', t.style.height = (immersed + 44) + 'px', t.style.background = '-webkit-linear-gradient(top,rgba(215,75,40,1),rgba(255, 121, 67, 0.8))');
				t = document.getElementById('SearchScroll');
				t && (t.style.marginTop = (immersed + 44) + 'px');
			}

			mui('.mui-scroll-wrapper').scroll({
				indicators: false
			});
			$('.mic-search .mic-search-input').focus();
			$('.mic-search .mic-search-input').unbind().bind('input propertychange', function() {
				var searchData = $(this).val();
				if(searchData == "") {
					return;
				}
				var res = [],
					d = _.Data;
				for(var m in d) {
					for(var n in d[m]) {
						if(d[m][n].Name.toString().toUpperCase().indexOf(searchData.toString().toUpperCase()) >= 0) {
							res.push(d[m][n]);
						}
					}
				}
				if(res.length == 0) {
					$('#SearchScroll .mui-scroll').html('<p class="mic-search-alert">没有数据</p>');
					return;
				}
				var html = [];
				html.push('<ul class="mui-table-view" id="SearchResult">')
				for(var i = 0; i < res.length; i++) {
					html.push('<li class="mui-table-view-cell" data-m="{0}">{1}</li>'.format(i, res[i].Name));
				}
				html.push('</ul>')
				$('#SearchScroll .mui-scroll').html(html.join(''));
				//搜索产品选择添加
				mui('#SearchResult').off('tap');
				mui('#SearchResult').on('tap', 'li', function() {
					document.activeElement.blur();
					var m = this.getAttribute('data-m');
					var List = res[m];
					if(_.Id == 'Batch') {
						List.Big = '其它';
						List.Type = '保养';
						List.Qty = 1;
						List.Profit = List.Price;
						List.Tag = 'Select';
						GetProductData(List);
//						List.Tag = 'Select';
//						GetProductBatchData(List);
					} else if(_.Id == 'Scan') {
						List.Type = _.Type;
						List.Qty = 1;
						List.Profit = List.Price;
						List.Tag = 'Select';
						GetProductScanData(List);
					} else {
						List.Type = _.Type;
						List.Qty = 1;
						List.Profit = List.Price;
						List.Tag = 'Select';
						GetProductData(List);
					}
				});
			});
			mui('.mic-search').on('tap', '.mic-search-cancel', function() {
				$('.mic-search').remove();
			})
		})
	};
	_.event = function() {
		mui('body').on('tap', '.mui-control-item', function() {
			_.Type = $(this).html();
		});
		//产品选择添加
		mui('body').on('tap', '.product-view-cell', function() {
			var List = JSON.parse(this.getAttribute('data-list'));
			if(_.Id == 'Batch') {
				if(this.getAttribute('data-id') == '其它') {
					List.Big = '其它';
					List.Type = '保养';
					List.Qty = 1;
					List.Profit = List.Price;
					List.Tag = 'Select';
					GetProductData(List);
				} else {
					List.Type = '保养';
					List.Tag = 'Select';
					GetProductBatchData(List);
				}
			} else if(_.Id == 'Scan') {
				List.Type = _.Type;
				List.Qty = 1;
				List.Profit = List.Price;
				List.Tag = 'Select';
				GetProductScanData(List);
			} else {
				List.Type = _.Type;
				List.Qty = 1;
				List.Profit = List.Price;
				List.Tag = 'Select';
				GetProductData(List);
			}
		});
		//新增产品
		mui('body').on('tap', '#ProductAdd', function() {
			var List = {
				Id: 0,
				Name: '',
				Price: '',
				Type: _.Type,
				Qty: 1,
				Tag: 'Add'
			};
			GetProductData(List);
		});
		mui('body').on('tap', '.mui-btn', function(e) {
			mui(this).button('loading');
			//			setTimeout(function() {
			//				mui(this).button('reset');
			//			}.bind(this), 2000);
		});
	};
	//获取添加产品数据事件
	var GetProductData = function(List) {
		mos.ProductOperation(List, function(_event) {
			if(_event == 'right') {
				if(List.Tag == 'Add') {
					List.Name = $('#ProductName').val();
					if(List.Name == "") {
						mui.alert('服务项目不能为空', '提示', '好的', function(e) {
							mui('.mui-btn').button('reset');
						}, 'div')
						return;
					}
				}
				List.Qty = $('#Qty').val();
				List.Price = $('#Price').val();
				List.Profit = $('#Profit').val() || 0;
				if(isNaN(Number(List.Price)) || List.Price == "") {
					mui.alert('请检测价格是否输入正确', '提示', '好的', function(e) {
						mui('.mui-btn').button('reset');
					}, 'div')
					return;
				}
				//					if(List.Type == '轮胎' && (isNaN(Number(List.Profit)) || List.Profit == "")) {
				//						mui.alert('请检测毛利是否输入正确', '提示', '好的', function(e) {
				//							mui('.mui-btn').button('reset');
				//						}, 'div')
				//						return;
				//					}
				if(isNaN(Number(List.Qty)) || List.Qty == "") {
					mui.alert('请检测数量是否输入正确', '提示', '好的', function(e) {
						mui('.mui-btn').button('reset');
					}, 'div')
					return;
				}
				clickevent(List);
			}
		})
	};
	//获取套餐添加数据事件
	var GetProductBatchData = function(List) {
		met.OpenWindow('c_product_batch.html', 'slide-in-bottom', {
			Data: List
		});
		//		mos.ProductBatchOperation(List, function(_event) {
		//			if(_event == 'right') {
		//				List.Price = Number($('#Total').find('span').html());
		//				$('.Qty').each(function(i) {
		//					var Qty = $(this).val();
		//
		//					if(isNaN(Number(Qty)) || Qty == "") {
		//						mui.alert('请检测数量是否输入正确', '提示', '好的', function(e) {
		//							mui('.mui-btn').button('reset');
		//						}, 'div')
		//						return false;
		//					}
		//					List.Ids[i].Qty = Qty;
		//				})
		//				clickevent(List);
		//			}
		//		});
	};
	//获取添加扫码产品数据事件
	var GetProductScanData = function(List) {
		mos.ProductScanOperation(List, function(_event) {
			if(_event == 'right') {
				if(List.Barcode == '' || List.Barcode == null) {
					var Barcode = $('#Barcode').val();
					if(Barcode == "") {
						mui.alert('请输入条形码', '温馨提示', '确定', function(e) {
							mui('.mui-btn').button('reset');
						}, 'div')
						return;
					}
					List.Barcode = Barcode;
				}
				List.Qty = $('#Qty').val();
				if(isNaN(Number(List.Qty)) || List.Qty == "") {
					mui.alert('请检测产品数量是否输入正确', '提示', '好的', function(e) {
						mui('.mui-btn').button('reset');
					}, 'div')
					return;
				}
				clickevent(List);
			}
		});
	};
	//页面传值事件
	var clickevent = function(Data) {
		if(Data.Big == '其它') {
			_.Id = "All";
		}
		mui.init({
			beforeback: function() {
				var self = plus.webview.currentWebview();
				var Page = plus.webview.getWebviewById(self.Url);
				mui.fire(Page, 'ProductEvent', {
					Id: _.Id,
					Data: Data
				});
				return true;
			}
		});
		mui.back();
	};
	return {
		run: _.init
	};
})