define(['met', 'mos'], function(met, mos) {
	var _ = {
		d: null,
		BatchName: null,
		BatchId: null,
		Price: 0
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		var d = plus.webview.currentWebview().Data,
			ohtml = [],
			html = [];
		_.d = d;
		if(d.Tag == 'Update') {
			$('.mui-title').html('套餐修改');
			ohtml.push('<button type="button" class="mui-btn mic-product-left" data-loading-text="删除中" data-loading-icon-position="left">删除</button>');
			ohtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="更改中" data-loading-icon-position="left">更改</button>');
		} else {
			$('.mui-title').html('套餐添加');
			ohtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="添加中" data-loading-icon-position="left">添加</button>');
		}
		$('nav').html(ohtml.join(''));

		html.push('<div class="mic-input"><div class="mic-input-row"><label>套餐名称</label><div>{0}</div></div></div><div class="mic-input"><div class="mic-input-row"><label>套餐总价</label><div id="Total">￥<span>{1}</span></div></div></div>'.format(d.Name, d.Price.toFixed(2)));
		for(var p in d.Ids) {
			html.push('<div class="mic-input ProductBatch"><div class="mic-input-row"><label>{3}、名称</label><div>{0}</div></div></div><div class="mic-input"><div class="mic-input-row mic-input-row-batch"><label>单价</label><div>{1}</div></div></div><div class="mic-input"><div class="mic-input-row mic-input-row-batch"><label>数量</label><input type="number" class="Qty" value="{2}" pattern="\\d*" placeholder="请输入数量" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>'.format(d.Ids[p].Name, d.Ids[p].Price.toFixed(2), d.Ids[p].Qty, Number(p) + 1));
		}
		$('#content').html(html.join(''));
		_.event();
	};
	_.event = function() {
		mui('.mui-bar').on('tap', '.mic-product-left', function() {
			_.d.Tag = 'Delete';
			clickevent();
		});
		mui('.mui-bar').on('tap', '.mic-product-right', function() {
			$('.Qty').each(function(i) {
				var Qty = $(this).val();
				if(isNaN(Number(Qty)) || Qty == "") {
					mui.alert('请检测数量是否输入正确', '提示', '好的', function(e) {
						mui('.mui-btn').button('reset');
					}, 'div')
					return false;
				}
				_.d.Ids[i].Qty = Qty;
			})
			clickevent();
		});

		function clickevent() {
			mui.init({
				beforeback: function() {
					var Page = plus.webview.getWebviewById('v_order_maintain.html');
					plus.webview.close('c_product.html');
					mui.fire(Page, 'ProductEvent', {
						Id: 'Batch',
						Data: _.d
					});
					return true;
				}
			});
			mui.back();
		};
		mui('body').on('tap', '.mui-btn', function(e) {
			mui(this).button('loading');
		});
	};
	return {
		run: _.init
	};
})