define(['met'], function(met) {
	var _ = {
		params: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.KeyboardEvent();
		mui('body').on('tap', '#AppointmentQuery', function() {
			document.activeElement.blur();
			var Phone = $('#Phone').val();
			if(!met.IsPhone(Phone)) {
				mui.alert('手机号格式不正确', '温馨提示', '确定', function(e) {
					_.KeyboardEvent();
				}, 'div')
				return;
			}
			met.ajax({
				URL: 'AppApi/AppointInfo',
				Data: {
					Phone: Phone
				}
			}, null, function(data) {
				$('#Phone').val('');
				met.OpenWindow('v_appointment_info.html', null, {
					Data: data
				});
			})
		})
	};
	_.KeyboardEvent = function() {
		var nativeWebview, imm, InputMethodManager;
		var initNativeObjects = function() {
			if(mui.os.android) {
				var main = plus.android.runtimeMainActivity();
				var Context = plus.android.importClass("android.content.Context");
				InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
				imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
			} else {
				nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
			}
		};
		var showSoftInput = function() {
			var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
			if(mui.os.android) {
				//强制当前webview获得焦点
				plus.android.importClass(nativeWebview);
				nativeWebview.requestFocus();
				imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
			} else {
				nativeWebview.plusCallMethod({
					"setKeyboardDisplayRequiresUserAction": false
				});
			}
			setTimeout(function() {
				//此处可写具体逻辑设置获取焦点的input
				var inputElem = document.querySelector('input');
				inputElem.focus();
			}, 100);
		};
		mui.plusReady(function() {
			initNativeObjects();
			showSoftInput();
		});
	};
	return {
		run: _.init
	};
})