define(['met'], function(met) {
	var _ = {
		Data: null,
		RealNo: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.Data = plus.webview.currentWebview().Data;
		_.RealNo = _.Data.RealNo;
		if(_.RealNo == "") {
			$(".RelaNo").show();
		} else {
			$(".RelaNo").hide();
		}
		$('.mic-msg label').html(_.Data.PlaformName)
		_.OutputHtml();
	};
	_.OutputHtml = function() {
		var html = [],
			d = _.Data;
		html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">预约单<p>{0}</p></div>'.format(moment(d.BillDate).format('YYYY-MM-DD')));

		html.push('</div><div class="mui-card-content">');

		html.push('<div class="mic-card-content-innter">预约人：{0}</div>'.format(d.ZhName));

		if(d.CarNo != '' && d.CarNo != null && d.CarNo.length > 5) {
			html.push('<div class="mic-card-content-innter">车牌号码：{0}</div>'.format(d.CarNo));
		}
		if(d.Phone != '' && d.Phone != null) {
			html.push('<div class="mic-card-content-innter">手机号码：{0}</div>'.format(d.Phone));
		}
		if(d.IsPaid > 0 && d.AccountFee > 0) {
			html.push('<div class="mic-card-content-innter">预约时间：{0}</div>'.format(d.AppointDate));
		}
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label>预约项目</label>');

		html.push('</li>');
		var t = d.Details;
		for(var m = 0; m < t.length; m++) {
			html.push('<li><div class="mic-detail-left">项目{0} {1}</div><div class="mic-detail-right"><span>×{2}</span><span>单价：{3}</span></div></li>'.format(Number(m) + 1, t[m].ProductName, t[m].Qty, t[m].Price));
		}
		html.push('</ul></div></div>');

		$('#appointment_result').html(html.join(''));
		_.event();
	};
	_.event = function() {
		mui('body').on('tap', '#AppointmentSubmit', function() {
			var RelaNo;
			if(_.RealNo == "") {
				RelaNo = $.trim($('#RelaNo').val());
				if(RelaNo == '') {
					mui.alert('请输入核销码', '温馨提示', '确定', function(e) {
						e.index
					}, 'div')
					return;
				}
			} else {
				RelaNo = _.RealNo;
			}
			met.ajax({
				URL: 'AppApi/SubmitRelaNo',
				Data: {
					Phone: _.Data.Phone,
					RelaNo: RelaNo
				}
			}, null, function(data) {
				mui.alert(data.Msg,'温馨提示','确定',function (e) {
				   mui.back();
				},'div')
			})
		})
	};
	return {
		run: _.init
	};
})