define(['met', 'mos'], function(met, mos) {
	var _ = {
		params: null,
		UserId: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.UserId = plus.webview.currentWebview().UserId;
		_.init.list();
	};
	_.init.list = function() {
		mos.CarNo();
		_.event();
	};
	_.event = function() {
		window.addEventListener('CarBrandEvent', function(e) {
			//获得事件参数
			var data = e.detail;
			$('#CarBrand').val(data.BrandName).attr({
				'data-brand': data.BrandId
			}).attr({
				'data-ser': data.SerId
			}).attr({
				'data-spec': data.SpecId
			});
		});
		//品牌选择
		mui('body').on('tap', '#CarBrand', function() {
			met.OpenWindow('c_models.html', 'slide-in-bottom', {
				Url: 'v_car_add.html'
			});
		});
		//数据提交
		mui('body').on('tap', '.mic-btn-submit', function() {
			//获取数据方法
			mos.InputData(function(data) {
				var params = {
					UserId: _.UserId,
					BrandId: data.BrandId,
					SerId: data.SerId,
					SpecId: data.SpecId,
					CarNo: data.CarNo,
					IdentityNo: data.IdentityNoYes,
					CarEngineNo: data.CarEngineNo
				};
				met.ajax({
					URL: 'AppApi/caradd',
					Data: params
				}, null, function(data) {					
					mui.alert('添加成功', '温馨提示', '确定', function(e) {
						mui.init({
							beforeback: function() {
//								var self = plus.webview.currentWebview();
								var Page = plus.webview.getWebviewById('member_detail.html');
//								plus.webview.close('c_car_add.html');
								mui.fire(Page, 'CarAddEvent', null);
								return true;
							}
						});
						mui.back();
					}, 'div')
				});
			});
		})
	};
	return {
		run: _.init
	};
})