define(['met'], function(met) {
	var _ = {
		list: null,
		Data: null,
	};
	_.init = function() {
		_.list = plus.webview.currentWebview().list;
		$('.mic-top-image').attr({
			'src': _.list.Pics == "" ? '../img/tx.png' : _.list.Pics
		});
		var html = [];
		html.push(_.list.Phone);
		if(_.list.CustomerRank == 50) {
			html.push('<img src="../img/mem_09.png">');
		} else {
			html.push('<img src="../img/mem_10.png">');
		}
		if(_.list.BatchId > 0) {
			html.push('<img src="../img/mem_11.png">');
		}
		html.push('<p class="mui-ellipsis">{0}{1}</p></div></a></li>'.format(_.list.CarNo == null ? '' : _.list.CarNo, _.list.ZhName == '' ? '' : '<' + _.list.ZhName + '>'));
		$('.mic-top-ms').html(html.join(''));

		mui.init({
			swipeBack: true
		});
		mui('.mui-scroll-wrapper').scroll({
			indicators: false //是否显示滚动条
		});

		var item2 = document.getElementById('item2mobile');
		var item3 = document.getElementById('item3mobile');
		document.getElementById('slider').addEventListener('slide', function(e) {
			if(e.detail.slideNumber === 1) {
				if(item2.querySelector('.mui-loading')) {
					_.GetData('AppApi/BatchList', 2, '#item2mobile .mui-scroll')
				}
			} else if(e.detail.slideNumber === 2) {
				if(item3.querySelector('.mui-loading')) {
					_.GetData('AppApi/CarList', 3, '#item3mobile .mui-scroll')
				}
			}
		});
		_.GetData('AppApi/OrderList', 1, '#item1mobile .mui-scroll')
	};
	_.GetData = function(url, type, self) {
		_.params = {
			URL: url,
			Data: {
				UserId: _.list.Id
			}
		}
		met.ajax(_.params, null, function(data) {
			_.Data = data;
			switch(type) {
				case 1:
					_.OrderOutputHtml(self);
					break;
				case 2:
					_.BatchOutputHtml(self);
					break;
				case 3:
					_.CarOutputHtml(self);
					break;
				default:
					break;
			}
		});
	};
	_.OrderOutputHtml = function(self) {
		var html = [],
			d = _.Data;
		for(var i = 0; i < d.length; i++) {
			html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">{0}<p>{1}</p></div>'.format(d[i].OrderSourceName, d[i].BillDate));
			//			//取消订单
			//			if(d[i].IsPaid != 1 && d[i].Status != 10) {
			//				html.push('<span data-id="{0}" class="mui-icon mui-icon-closeempty TDelete"></span>'.format(d[i].OrderNo));
			//			}
			html.push('</div><div class="mui-card-content">');
			if(d[i].OrderSource != 1) {
				html.push('<div class="mic-card-content-innter">施工状态：<span>{0}</span></div>'.format(d[i].StatusName));
			}
			if(d[i].CarNo != '' && d[i].CarNo != null && d[i].CarNo.length > 5) {
				html.push('<div class="mic-card-content-innter">车牌号码：<span>{0}</span></div>'.format(d[i].CarNo));
			}
			if(d[i].IdentityNo != '' && d[i].IdentityNo != null) {
				html.push('<div class="mic-card-content-innter">车架号码：<span>{0}</span></div>'.format(d[i].IdentityNo));
			}
			if(d[i].Phone != '' && d[i].Phone != null) {
				html.push('<div class="mic-card-content-innter">手机号码：<span>{0}</span></div>'.format(d[i].Phone));
			}
			if(d[i].IsPaid > 0 && d[i].AccountFee > 0) {
				html.push('<div class="mic-card-content-innter">余额抵扣：<span>{0}</span></div>'.format(d[i].AccountFee.toFixed(2)));
			}
			if(d[i].IsPaid == 0 && d[i].CouponFee > 0) {
				html.push('<div class="mic-card-content-innter">卡卷抵扣：<span>{0}</span></div>'.format(d[i].CouponFee.toFixed(2)));
			}
			if(d[i].OrderSource != 1 && d[i].BatchId > 0) {
				html.push('<div class="mic-card-content-innter">套餐抵扣：<span>{0}</span></div>'.format(d[i].BatchName));
			}
			if(d[i].IsPaid == 0 && d[i].ShouldPay > 0) {
				html.push('<div class="mic-card-content-innter">应付金额：<span>{0}</span></div>'.format(d[i].ShouldPay.toFixed(2)));
			}
			if(d[i].IsPaid == 0 && d[i].ActPay > 0) {
				html.push('<div class="mic-card-content-innter">支付金额：<span>{0}</span></div>'.format(d[i].ActPay.toFixed(2)));
			}
			html.push('<div class="mic-card-content-innter">支付状态：<span>{0}</span></div>'.format(d[i].IsPaid == 1 ? '已支付' : '未支付'));
			html.push('<div class="mic-card-content-innter">钥匙扣：<span>{0}</span></div>'.format(d[i].NickNo));
			//			
			html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label>服务项目</label>');
			html.push('</li>');
			var t = d[i].Details;
			for(var m = 0; m < t.length; m++) {
				html.push('<li><div class="mic-detail-left">项目{0} {1}</div><div class="mic-detail-right"><span>×{2}</span><span>单价：{3}</span></div></li>'.format(Number(m) + 1, t[m].ProductName, t[m].Qty, t[m].ServicePrice.toFixed(2)));
			}
			html.push('</ul></div></div>');
		}
		if(d.length == 0) {
			html.push('<p class="mic-search-alert">没有数据</p>');
		}
		$(self).html(html.join(''));
	};
	_.BatchOutputHtml = function(self) {
		var html = [],
			d = _.Data;
		html.push('<ul class="mic-batch-view">');
		for(var i = 0; i < d.length; i++) {
			var EffectTime = d[i].EffectTime;
			var EffectTimeUnit = d[i].EffectTimeUnit.toUpperCase();
			var Unit = EffectTimeUnit == "YEAR" ? "年" : EffectTimeUnit == "MONTH" ? "月" : EffectTimeUnit == "DAY" ? "天" : "";
			var time = EffectTime == 50 ? (EffectTimeUnit == "YEAR" ? "无限制" : EffectTime + "" + Unit + "") : EffectTime + "" + Unit + "";
			html.push('<li data-list='+"'"+JSON.stringify(d[i])+"'"+' style="background-image: url(../img/tc-{0}.png);"><div class="mic-batch-name">{1}</div><div class="mic-batch-date">有效期：{2}</div><div class="mic-batch-shop">适用门店：{3}</div></li>'.format(i % 4 + 1, d[i].BatchName, time, d[i].DeptName));
		}
		html.push('</ul>');
		if(d.length == 0) {
			html.push('<p class="mic-search-alert">没有数据</p>');
		}
		$(self).html(html.join(''));
		mui('.mic-batch-view').off('tap');
		mui('.mic-batch-view').on('tap', 'li', function() {
			met.OpenWindow('v_batch_detail.html', null, {
				list: JSON.parse(this.getAttribute('data-list')),
				UserId: _.list.Id
			});
		})
	};
	_.CarOutputHtml = function(self) {
		var html = [],
			d = _.Data;
			html.push('<div class="mui-card" id="UserCarAdd"><div class="mui-card-content mic-member-content"><span class="mui-icon mui-icon-plus"></span><p>添加车辆</p></div></div>')
		for(var i = 0; i < d.length; i++) {
			html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-member-header"><div class="mui-media-body">{0}</div></div><div class="mui-card-content mic-card-content"><div class="mic-card-content-innter">车架号码：{1}</div><div class="mic-card-content-innter">发动机号：{2}</div></div></div>'.format(d[i].Area+d[i].CarNo,d[i].IdentityNo,d[i].CarEngineNo));
		}
		$(self).html(html.join(''));
		mui('body').on('tap', '#UserCarAdd', function() {
			var m = this.getAttribute('data-id');
			met.OpenWindow('v_car_add.html', null, {
				UserId: _.list.Id
			});
		});
		window.addEventListener('CarAddEvent', function(e) {
			//获得事件参数
			var data = e.detail;
			_.GetData('AppApi/CarList', 3, '#item3mobile .mui-scroll')
		});
	};
	return {
		run: _.init
	};
})