define(['met'], function(met) {
	var _ = {
		Data: null
	};
	_.init = function() {
		mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				down: {
					callback: function() {
						_.GetData();
					}
				}
			}
		});
		var data = plus.storage.getItem('UserInfo');
		_.Data = JSON.parse(data);

		_.OutputHtml();
		_.event();
	};
	_.GetData = function() {
		met.ajax({
			URL: 'AppApi/page'
		}, true, function(data) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			_.Data = data;
			_.OutputHtml();
		})
	};
	_.OutputHtml = function() {
		var data = _.Data;
		$('.mic-top-image').attr({
			'src': data.Pics
		});
		$('.mic-top-ms').html('{0}&nbsp{1}&nbsp({2})<p class="mui-ellipsis">工号:{3}</p>'.format(data.ZhName, data.PostName, data.ShopName, data.EmpNo));
		$('#UserNum').html(data.FollowCount);
		$('#UserAch').html('￥' + data.SaleInfo.toFixed(2));
		if(data.ToDoCount > 0) {
			$('#todo').html('<span class="mic-badge">' + data.ToDoCount + '</span>');
		}
		if(data.WashBoardInfo > 0) {
			$('#wash').html('<span class="mic-badge">' + data.WashBoardInfo + '</span>');
		}
		if(data.TireBoardInfo > 0) {
			$('#tyre').html('<span class="mic-badge">' + data.TireBoardInfo + '</span>');
		}
	};
	_.event = function() {
		mui('#UserPage').on('tap', 'a', function() {
			var Url = this.getAttribute('href');
			met.OpenWindow(Url, null, null);
		});
		mui('.mic-view-app').on('tap', 'li', function() {
			var Url = this.getAttribute('app-url');
			met.OpenWindow(Url, null, null);
		});
	};
	return {
		run: _.init
	};
})