define(['met'], function(met) {
	var _ = {
		Date: null,
		Type: null,
		Data: null,
		Tag: false, //识别是否为搜索数据 T是
		TData: [],
		P1: false,
		P2: false,
		P3: false,
		slideNumber: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		//日期
		var DHtml = [];
		for(var i = 0; i < 12; i++) {
			var DateTime = moment().add(-i, 'Month');
			DHtml.push('<li class="mui-table-view-cell" data-id="{0}"><a href="#topDate">{1}</span></a></li>'.format(DateTime.format('YYYY-MM-DD'), DateTime.format('YYYY年MM月')));
		}
		$('#topDate .mui-table-view').html(DHtml.join(''));
		mui('.mui-scroll-wrapper').scroll({
			indicators: false //是否显示滚动条
		});
		_.Date = new Date();
		var item2 = document.getElementById('item2mobile');
		var item3 = document.getElementById('item3mobile');
		document.getElementById('slider').addEventListener('slide', function(e) {
			_.slideNumber = e.detail.slideNumber
			if(_.slideNumber === 1) {
				$('.mic-view-mc span').html(_.N2);
				if(item2.querySelector('.mui-loading') || _.P2) {
					_.count = 1;
					_.SwithData(_.Date);
				}
			} else if(_.slideNumber === 2) {
				$('.mic-view-mc span').html(_.N3);
				if(item3.querySelector('.mui-loading') || _.P3) {
					_.count = 2;
					_.SwithData(_.Date);
				}
			} else if(_.slideNumber === 0) {
				$('.mic-view-mc span').html(_.N1);
				if(_.P1) {
					_.SwithData(_.Date);
				}
			}
		});
		_.slideNumber = 0;
		_.SwithData(_.Date);
	};
	_.SwithData = function() {
		var TDate = moment(_.Date || new Date()).format("YYYY年MM月");
		$('.mic-view-mc label').html(TDate);
		var StartTime = moment(_.Date || new Date()).format("YYYY-MM-01 00:00:00");
		var EndTime = moment(_.Date || new Date()).endOf("month").format("YYYY-MM-DD 23:59:59");

		switch(_.slideNumber) {
			case 0:
				var params = {
					StartTime: StartTime,
					EndTime: EndTime,
					ProductCatId: 16,
					StatusList: 0
				};
				_.Type = 0; //待检查
				_.P1 = false;
				_.GetData(params, '#item1mobile .mui-scroll', 0)
				break;
			case 1:
				var params = {
					StartTime: StartTime,
					EndTime: EndTime,
					ProductCatId: 16,
					StatusList: 20
				};
				_.Type = 1; //已施工
				_.P2 = false;
				_.GetData(params, '#item2mobile .mui-scroll', 1)
				break;
			case 2:
				var params = {
					StartTime: StartTime,
					EndTime: EndTime,
					ProductCatId: 16,
					IsMy: 1
				};
				_.Type = 2; //我的
				_.P3 = false;
				_.GetData(params, '#item3mobile .mui-scroll', 2)
				break;
			default:
				break;
		}
	};
	_.GetData = function(params, Self, n) {
		met.ajax({
			URL: 'AppApi/Board',
			Data: params
		}, null, function(data) {
			_.Data = data;
			switch(n) {
				case 0:
					_.N1 = data.length;
					break;
				case 1:
					_.N2 = data.length;
					break;
				case 2:
					_.N3 = data.length;
					break;
				default:
					break;
			}
			$('.mic-view-mc span').html(data.length);
			_.Tag = false;
			_.OutputHtml(Self);
		});
	};
	_.OutputHtml = function(self) {
		var html = [],
			d = _.Tag == true ? _.TData : _.Data;
		for(var i = 0; i < d.length; i++) {
			var OperatorList = met.Operator(d[i].OperatorList);
			html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">{0}<p>{1}</p></div>'.format(d[i].CarNo, met.DateFormat(d[i].BillDate)));
			//取消
			if(_.Type == 2) {
				html.push('<span data-id="{0}" class="mui-icon mui-icon-closeempty TDelete"></span>'.format(d[i].Id));
			}

			html.push('</div><div class="mui-card-content">');
			html.push('<div class="mic-card-content-innter">品牌：{0}</div>'.format(d[i].BrandName));
			html.push('<div class="mic-card-content-innter">开单人：{0}</div>'.format(d[i].FollowEmployeeName));
			if(d[i].Status == 20 && _.Type == 1) {
				html.push('<div class="mic-card-content-innter">提交人：{0}</div>'.format(d[i].FinishManName));
				html.push('<div class="mic-card-content-innter mic-rows">洗车人：{0}</div>'.format(OperatorList));
			}
			if(_.Type == 2) {
				html.push('<div class="mic-card-content-innter mic-rows">洗车人：{0}</div>'.format(OperatorList));
			}

			html.push('</li></ul></div>');
			if(_.Type != 2) {
				html.push('<div class="mui-card-footer mic-card-footer" style="margin-top:10px">');
				if(_.Type == 0) {
					html.push('<button data-id="{0}" type="button" class="mui-btn mui-btn-card TFinish" data-loading-text="请稍候" data-loading-icon-position="left">完成</button>'.format(d[i].Id));
				} else if(_.Type == 1) {
					html.push('<label>{0}&nbsp;已洗车</label>'.format(d[i].FinishManName));
				}
				html.push('</div>')
			}
			html.push('</div>')
		}
		$(self).html(html.join(''));
		_.event();
	};
	_.event = function() {
		mui('body').off('tap');
		_.SearchEvent();
		//完成
		mui('body').on('tap', '.TFinish', function() {
			var self = this;
			met.ajax({
				URL: 'AppApi/WashMen'
			}, null, function(data) {
				var html = [],
					n = data.length;
				html.push('<div class="mui-backdrop" id="WashMan"><div class="mic-win-nl"><div class="mic-product-close"><label>请选择洗车人</label><span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div>');
				html.push('<div id="WashManScroll" class="mui-scroll-wrapper"><div class="mui-scroll"><form class="mui-input-group mic-input-group">');
				for(var i = 0; i < n; i++) {
					html.push('<div class="mui-input-row mui-checkbox mui-left"><label>{0}</label><input name="checkbox" value="{1}" type="checkbox"></div>'.format(data[i].ZhName, data[i].Id));
				}
				html.push('</form></div></div><div class="WashMan-btn">确认</div></div></div>');
				//				var height = 40 + 40 * n + 85;
				//				html.push('<div class="mui-backdrop" id="WashMan"><div class="mic-win-nl" style="height:' + height + 'px"><div class="mic-product-close"><label>请选择洗车人</label><span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div><form class="mui-input-group mic-input-group">');
				//				for(var i = 0; i < n; i++) {
				//					html.push('<div class="mui-input-row mui-checkbox mui-left"><label>{0}</label><input name="checkbox" value="{1}" type="checkbox" checked></div>'.format(data[i].ZhName, data[i].Id));
				//				}
				//				html.push('</form><div class="WashMan-btn">确认</div></div></div>');
				$('body').append(html.join(''));
				mui('.mui-scroll-wrapper').scroll({
					indicators: false //是否显示滚动条
				});
				mui('.mui-btn').button('reset');

				mui('#WashMan').on('tap', '.mic-product-close', function() {
					$('#WashMan').remove();
				});
				mui('#WashMan').on('tap', '.WashMan-btn', function() {
					var Operators = [];
					mui('.mui-input-group input').each(function(i, e) {
						if(e.checked) {
							Operators.push(e.value);
						}
					});
					if(Operators == '') {
						mui.alert('请选择洗车员工', '温馨提示', '确定', function(e) {
							e.index
						}, 'div')
						return;
					}
					met.ajax({
						URL: 'AppApi/FinishDetail',
						Data: {
							Id: self.getAttribute('data-id'),
							Operators: JSON.stringify(Operators)
						}
					}, null, function(data) {
						$('#WashMan').remove();
						_.P1 = true;
						_.P2 = true;
						_.P3 = true;
						$('.mic-view-mc span').html(_.N1 - 1);
						$(self).closest('.mui-card').hide(500);
					})
				});
			});
		});
		//取消
		mui('body').on('tap', '.TDelete', function() {
			var self = this;
			mui.confirm('是否确认取消?', '温馨提示', ['否', '是'], function(e) {
				if(e.index == 1) {
					met.ajax({
						URL: 'AppApi/ReBackDetail',
						Data: {
							Id: self.getAttribute('data-id')
						}
					}, null, function(data) {
						_.P1 = true;
						_.P2 = true;
						_.P3 = true;
						$('.mic-view-mc span').html(_.N3 - 1);
						$(self).closest('.mui-card').hide(500);
					});
				}
			}, 'div')

		});
		//日期选择
		mui('#topDate').on('tap', '.mui-table-view li', function() {
			_.P1 = true;
			_.P2 = true;
			_.P3 = true;
			_.Date = this.getAttribute('data-id');
			_.SwithData()
		});
		mui('body').on('tap', '.mui-btn', function(e) {
			mui(this).button('loading');
		});
	};
	_.SearchEvent = function() {
		mui('body').on('tap', '#SearchBtn', function() {
			var html = [];
			html.push('<div class="mic-search"><header id="dheader" class="mui-bar mui-bar-nav mic-bar"><form method="post"><input class="mic-search-input" type="search" placeholder="请搜索车牌号"/><span class="mic-search-cancel">取消</span></form></header>');
			html.push('<div id="dcontent" class="mui-content"></div></div>');
			$('body').append(html.join(''));
			var immersed = 0;
			var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
			if(ms && ms.length >= 3) {
				immersed = parseFloat(ms[2]);
				var t = document.getElementById('dheader');
				t && (t.style.paddingTop = immersed + 'px', t.style.height = (immersed + 44) + 'px', t.style.background = '-webkit-linear-gradient(top,rgba(215,75,40,1),rgba(255, 121, 67, 0.8))');
				t = document.getElementById('dcontent');
				t && (t.style.marginTop = immersed + 'px');
			}
			$('.mic-search .mic-search-input').focus();
			$('.mic-search .mic-search-input').unbind().bind('input propertychange', function() {
				var searchData = $(this).val().toUpperCase();
				if(searchData == "") {
					return;
				}
				var SearchList = [];
				for(var i = 0; i < _.Data.length; i++) {
					var CarNo = _.Data[i].CarNo.toUpperCase();
					if(CarNo.toString().indexOf(searchData.toString()) >= 0) {
						SearchList.push(_.Data[i])
					}
				}
				_.TData = SearchList;
				if(_.TData.length == 0) {
					$('.mic-search .mui-content').html('<p class="mic-search-alert">没有数据</p>');
					return;
				}
				_.Tag = true;
				_.OutputHtml('.mic-search .mui-content');
			});
			mui('.mic-search').on('tap', '.mic-search-cancel', function() {
				$('.mic-search').remove();
			})
		})
	};
	return {
		run: _.init
	};
})