define(['met'], function(met) {
	var _ = {};
	_.init = function() {
		mui.init();
		var OrderNo = plus.webview.currentWebview().OrderNo;
		var params = {
			URL: 'AppApi/payment',
			Data: {
				OrderNo: OrderNo
			}
		}
		met.ajax(params, null, function(data) {
			$('#Date').html(moment(data.BillDate).format('YYYY-MM-DD'));
			$('#Amount').html(data.ShouldPay.toFixed(2));
			var html = [];
			html.push('<div class="mic-card-content-innter">施工状态：{0}</div>'.format(data.StatusName));
			html.push('<div class="mic-card-content-innter">服务总价：{0}</div>'.format(data.TotalFee.toFixed(2)));
			if(data.AccountFee > 0) {
				html.push('<div class="mic-card-content-innter">余额抵扣：{0}</div>'.format(data.AccountFee.toFixed(2)));
			}
			if(data.CouponFee > 0) {
				html.push('<div class="mic-card-content-innter">卡券抵扣：{0}</div>'.format(data.CouponFee.toFixed(2)));
			}
			if(data.BatchId > 0 && data.OrderSource != 1) {
				html.push('<div class="mic-card-content-innter">套餐抵扣：{0}</div>'.format(data.BatchName));
			}
			if(data.IsPaid == 1) {
				if(data.ShouldPay > 0) {
					html.push('<div class="mic-card-content-innter">应付金额：{0}</div>'.format(data.ShouldPay.toFixed(2)));
				}
				if(data.ActPay > 0) {
					html.push('<div class="mic-card-content-innter">实付金额：{0}</div>'.format(data.ActPay.toFixed(2)));
				}
			}
			html.push('<div class="mic-card-content-innter">消费店铺：{0}</div>'.format(data.DeptName));
			html.push('<div class="mic-card-content-innter">支付状态：{0}</div>'.format(data.IsPaid == 1 ? "已支付" : "未支付"));
			html.push('<div class="mic-card-content-innter">创建时间：{0}</div>'.format(data.BillDate));
			if(data.IsPaid == 1) {
				html.push('<div class="mic-card-content-innter">付款时间：{0}</div>'.format(data.PayTime));
			}
			$('.mui-card-content').html(html.join(''));

			mui('body').on('tap', '#refresh', function() {
				mui('body').off('tap');
				_.init();
			})
		});
	};
	return {
		run: _.init
	};
})