define(['met', 'mos'], function(met, mos) {
	var _ = {
		Data: null,
		OrderNo: null,
		Tag: false
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.OrderNo = plus.webview.currentWebview().OrderNo;
		$('#Date').val(moment().format("YYYY-MM-DDTHH:mm"));
		$('#OrderNo').html(_.OrderNo)
		met.ajax({
			URL: 'AppApi/payment',
			Data: {
				OrderNo: _.OrderNo
			}
		}, null, function(data) {
			_.Data = data.Details;
//			_.Data[0].Qty = 1;
//			_.Data[0].ProductId = 4646;
//			_.Data[0].Cat = '维修';
			_.OutputHtml();
			_.event();
		});
	};
	_.OutputHtml = function() {
		var html = [],
			Total = 0,
			d = _.Data;
		html.push('<li class="mui-table-view-cell">采购项目</li>');
		for(var i = 0; i < d.length; i++) {
			Total = Total + d[i].Price * d[i].Qty;
			html.push('<li class="mui-table-view-cell purchasing" data-m={0}><a class="mui-navigate-right"><div class="mui-media-body"><div class="mui-ellipsis-2">项目{1} {2}</div><div class="mui-ellipsis">成本价：{3}</div></div><span class="mui-badge mui-badge-primary">×{4}</span></a></li>'.format(i, i + 1, d[i].ProductName, d[i].Price, d[i].Qty));
		}
		$('.mic-view-ajust').html(html.join(''));
		$('.mic-btn-total span').html(Total.toFixed(2));
		mui('.mic-view-ajust').off('tap');
		mui('.mic-view-ajust').on('tap', '.purchasing', function() {
			var m = this.getAttribute('data-m');
			var List = {
				m: m,
				Id: d[m].ProductId,
				Name: d[m].ProductName,
				Price: d[m].Price,
				Type: d[m].Cat,
				Qty: d[m].Qty,
				Tag: 'Update',
				Mc: '成本价'
			};
			_.GetProductData(List);
		})
	};
	_.GetProductData = function(List) {
		mos.ProductOperation(List, function(_event) {
			if(_event == 'right') { //更新
				List.Qty = $('#Qty').val();
//				List.Price = $('#Price').val();
//				if(isNaN(Number(List.Price)) || List.Price == "") {
//					mui.alert('请检测成本价是否输入正确', '温馨提示', '好的', function(e) {
//						mui('.mui-btn').button('reset');
//					}, 'div')
//					return;
//				}

				if(isNaN(Number(List.Qty)) || List.Qty == "") {
					mui.alert('请检测数量是否输入正确', '温馨提示', '好的', function(e) {
						mui('.mui-btn').button('reset');
					}, 'div')
					return;
				}
				var t = _.Data[List.m];
				t.Qty = List.Qty;
//				t.Price = List.Price;
				_.Data.splice(List.m, 1, t);
			} else { //删除
				_.Data.splice(List.m, 1);
			}
			$('#ProductOperation').remove();
			_.OutputHtml();
		})
	};
	_.event = function(data) {
		mui('body').on('tap', '#PurchasingSubmit', function() {
			met.ajax({
				URL: 'AppApi/MaterialApply',
				Data: {
					OrderId: _.OrderNo,
					BillDate: $('#Date').val(),
					Details: JSON.stringify(_.Data)
				}
			}, null, function(data) {
				mui.alert('采购单申请成功', '温馨提示', '确定', function(e) {
					met.OpenWindow('v_purchasing_detail.html', null, null)
				}, 'div')
			});
		})
	};
	return {
		run: _.init
	};
})