define(['met'], function(met) {
	var _ = {
		Data: null,
		TData: null,
		Tag: false
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		var Id = plus.webview.currentWebview().Id;
		met.ajax({
			URL: 'AppApi/PssInfo',
			Data: {
				Id: Id
			}
		}, null, function(data) {
			_.Data = data;
			_.ReportHtml();
		})
	};
	_.ReportHtml = function() {
		var html = [],
			d = _.Data;
		html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">实体店选址报告<p>{0}</p></div>'.format(d.ActDate));

		html.push('</div><div class="mui-card-content">');

		html.push('<div class="mic-card-content-innter">部门：{0}</div>'.format(d.DeptName));
		html.push('<div class="mic-card-content-innter">拓展人员：{0}</div>'.format(d.Name));
		html.push('<div class="mic-card-content-innter">公司名称：{0}</div>'.format(d.Company));
		html.push('<div class="mic-card-content-innter">联系人：{0}</div>'.format(d.Contacts));
		html.push('<div class="mic-card-content-innter">电话：{0}</div>'.format(d.Tel));
		html.push('<div class="mic-card-content-innter mic-rows">地址：{0}</div>'.format(d.AddressFull));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">选址</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.SiteInfo == "" ? "暂无" : d.SiteInfo));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">背景调检</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.SiteInfo == "" ? "暂无" : d.SiteInfo));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">工位</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.Station == "" ? "暂无" : d.Station));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">设备</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.Equipment == "" ? "暂无" : d.Equipment));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">第一评估人意见</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.Assess1 == "" ? "暂无" : d.Assess1));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">第二评估人意见</label></li><li class="mic-cell-content">{0}</li></ul>'.format(d.Assess2 == "" ? "暂无" : d.Assess2));
		html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label style="color:#000000 !important;font-size:18px !important">照片</label></li><li class="mic-cell-content">');
		var img = d.Pics.split(',')
		for(var m in img) {
			html.push('<img src="{0}" data-preview-src="" data-preview-group="1" />'.format(img[m]));
		}
		html.push('</li></ul></div></div>');
		$('.mui-content').html(html.join(''));
	};
	return {
		run: _.init
	};
})