define(['met'], function(met) {
	var _ = {};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		var u = plus.storage.getItem('UserInfo');
		u = JSON.parse(u);

		$('#head-img1').attr({
			'src': u.Pics == '' ? '../img/tx.png' : u.Pics
		});
		$('.ZhName').html(u.ZhName);
		var Sex = u.Gender == 1 ? '男' : u.Gender == 2 ? '女' : '未知';
		$('.Sex').html(Sex);
		$('.BirthDay').html(moment(u.BirthDay || new Date()).format('YYYY-MM-DD'));
		$('.Phone').html(u.Phone);
		$('.Address').html(u.Address);
		$('.ShopName').html(u.ShopName);
		$('.PostName').html(u.PostName);
		var EmpNo = u.EmpNo == '' ? '暂无' : u.EmpNo;
		$('.EmpNo').html(EmpNo);
		//Android
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			$('.version').html('V' + inf.version);
		});
		//iOS
//		$('.version').html('V' + plus.runtime.version);
		_.event();
		_.initImgPreview();
	};
	//头像放大功能
	_.initImgPreview = function() {
		var imgs = document.querySelectorAll("img.mui-action-preview");
		imgs = mui.slice.call(imgs);
		if(imgs && imgs.length > 0) {
			var slider = document.createElement("div");
			slider.setAttribute("id", "__mui-imageview__");
			slider.classList.add("mui-slider");
			slider.classList.add("mui-fullscreen");
			slider.style.display = "none";
			slider.addEventListener("tap", function() {
				slider.style.display = "none";
			});
			slider.addEventListener("touchmove", function(event) {
				event.preventDefault();
			})
			var slider_group = document.createElement("div");
			slider_group.setAttribute("id", "__mui-imageview__group");
			slider_group.classList.add("mui-slider-group");
			imgs.forEach(function(value, index, array) {
				//给图片添加点击事件，触发预览显示；
				value.addEventListener('tap', function() {
					slider.style.display = "block";
					_slider.refresh();
					_slider.gotoItem(index, 0);
				})
				var item = document.createElement("div");
				item.classList.add("mui-slider-item");
				var a = document.createElement("a");
				var img = document.createElement("img");
				img.setAttribute("src", value.src);
				a.appendChild(img)
				item.appendChild(a);
				slider_group.appendChild(item);
			});
			slider.appendChild(slider_group);
			document.body.appendChild(slider);
			var _slider = mui(slider).slider();
		}
	}
	_.event = function() {
		window.addEventListener('UserEvent', function(e) {
			var d = e.detail;
			var u = plus.storage.getItem('UserInfo');
			u = JSON.parse(u);
			switch(d.Type) {
				case 'ZhName':
					$('.ZhName').html(d.Value);
					u.ZhName = d.Value;
					break;
				case 'Sex':
					var Sex = Number(d.Value) == 1 ? '男' : '女';
					$('.Sex').html(Sex);
					u.Gender = d.Value;
					break;
				case 'BirthDay':
					$('.BirthDay').html(d.Value);
					u.BirthDay = d.Value;
					break;
				case 'Address':
					$('.Address').html(d.Value);
					u.Address = d.Value;
					break;
				default:
					break;
			}
			plus.storage.setItem('UserInfo', JSON.stringify(u));
		});
		mui('body').on('tap', '.tap_update a', function() {
			var Type = this.getAttribute('href').replace('#', '');
			var params = {
				Type: Type,
				Value: $(this).find('i').html()
			};
			met.OpenWindow('user_update.html', null, params);
		});
		//问题反馈
		mui('body').on('tap', '#feedback', function() {
				met.OpenWindow('user_feedback.html', null, null)
			})
			//退出登录
		mui('body').on('tap', '.LoginOut', function() {
			mui.confirm('是否确认退出？', '温馨提示', ['取消', '确认'], function(e) {
				if(e.index == 1) {
					var l = plus.storage.getItem('LoginInfo');
					l = JSON.parse(l);
					l.Type = 0;
					plus.storage.setItem("LoginInfo", JSON.stringify(l));
					plus.runtime.restart();
					mui.toast('退出成功！')
				}
			}, 'div')

		});
	};
	return {
		run: _.init
	};
})