define(['met', 'mos', 'uploads'], function(met, mos, uploads) {
	var _ = {
		wgtVer: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		//Android
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			_.wgtVer = inf.version;
		});
		//iOS
//		_.wgtVer = plus.runtime.version;
		uploads.Init();
		_.event();
	};
	_.event = function() {
		mui('#popover').on('tap', 'li', function(e) {
			document.getElementById("question").value = document.getElementById("question").value + this.children[0].innerHTML;
			mui('#popover').popover('toggle')
		});
		//数据提交
		mui('body').on('tap', '#submit', function() {
			var question = $('#question').val();
			if(question == "") {
				mui.alert('请详细描述你的问题和意见', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
				return;
			}
			var params = {
					question: $('#question').val(),
					model: plus.device.model,
					name: plus.os.name,
					os_version: plus.os.version,
					resolution: plus.screen.resolutionWidth * plus.screen.scale + " x " + plus.screen.resolutionHeight * plus.screen.scale,
					runtime_version: _.wgtVer,
				}
				//带图片上传调用接口
			uploads.UploadsEvent(params, 'AppApi/feedback', function(data) {
				if(data.Code == 0) {
					mui.alert(data.Msg, '温馨提示', '确认', function(e) {
						e.index
					}, 'div')
					return;
				}
				mui.alert('问题反馈成功', '温馨提示', '确定', function(e) {
					location.reload();
				}, 'div')
			});
		})
	};

	return {
		run: _.init
	};
})