require.config({
	baseUrl: "../js",
	paths: {
		moment: './lib/moment',
		met: './com/met',
		mos: './com/mos',
		uploads: './com/uploads',
		page: './oms/cs_page',
		carbrand: './oms/cc_carbrand',
		models: './oms/cc_models',
		models_menu: './oms/cc_models_menu',
		product: './oms/cc_product',
		product_batch: './oms/cc_product_batch',
		category_details:'./oms/cc_category_details',
		myself: './oms/cs_myself',
		user: './oms/cs_user',
		user_update: './oms/cs_user_update',
		user_feedback: './oms/cs_user_feedback',
		appointment:'./oms/cs_appointment',
		appointment_info:'./oms/cs_appointment_info',
		stock:'./oms/cs_stock',
		report:'./oms/cs_report',
		report_detail:'./oms/cs_report_detail',
		wash: './oms/cs_wash',
		order: './oms/cs_order',
		order_maintain: './oms/cs_order_maintain',
		order_tyre: './oms/cs_order_tyre',
		order_care: './oms/cs_order_care',
		order_boutique: './oms/cs_order_boutique',
		order_illegal: './oms/cs_order_illegal',
		order_assure: './oms/cs_order_assure',
		order_card: './oms/cs_order_card',
		card_class: './oms/cc_card_class',
		card_detail: './oms/cc_card_detail',
		todo: './oms/cs_todo',
		purchasing: './oms/cs_purchasing',
		purchasing_detail: './oms/cs_purchasing_detail',
		panel_wash: './oms/cs_panel_wash',
		panel_tyre: './oms/cs_panel_tyre',
		record: './oms/cs_record',
		payment: './oms/cs_payment',
		payment_bill: './oms/cs_payment_bill',
		achievement: './oms/cs_achievement',
		ach_shop:'./oms/cs_ach_shop',
		ach_emp:'./oms/cs_ach_emp',
		ach_total:'./oms/cs_ach_total',
		ach_total_info:'./oms/cs_ach_total_info',
		member: './oms/cs_member',
		member_info: './oms/cs_member_info',
		member_detail: './oms/cs_member_detail',
		member_add: './oms/cs_member_add',
		member_search:'./oms/cs_member_search',
		batch_detail:'./oms/cs_batch_detail',
		car_add:'./oms/cs_car_add',
		inventory:'./oms/cs_inventory',
		inventory_adjust:'./oms/cs_inventory_adjust'
	}
});
var app = document.getElementsByTagName('body')[0].getAttribute('app');
require([app], function(app) {
	mui.plusReady(function() {
		app.run();
	});
});