define(['met'], function(met) {
	var R = {
		Area: ["粤", "京", "沪", "津", "渝", "黑", "吉", "辽", "蒙", "宁", "新", "青", "甘", "陕", "冀", "豫", "鲁", "晋", "鄂", "湘", "皖", "苏", "浙", "赣", "桂", "闽", "川", "云", "贵", "藏", "琼", "其他"],
		Data: null,
		CarNoType: '有牌',
		color: ["#ff4c34", "#3aa9e9", "#70bb34", "#2c2ebb", "#7f19bb", "#babb28", "#837e7c", "#773319", "#07773d", "#ff7943", "#007aff"],
	};
	//车牌选择
	R._CarNo = function() {
		var shtml = '';
		shtml += '<a href="#CarNoFloat"><div id="CarNoFloat" class="mui-modal mic-modal-carno"><div class="mic-modal-carno-nl"><div class="mic-modal-des">当前选中简称：<span class="Area">粤</span><span class="mic-carno-close mui-icon mui-icon-closeempty"></span></div><ul class="mic-modal-view">';
		for(var i = 0; i < R.Area.length; i++) {
			if(R.Area[i] == '粤') {
				shtml += '<li class="mic-carno-check">' + R.Area[i] + '</li>';
			} else {
				shtml += '<li>' + R.Area[i] + '</li>';
			}
		}
		shtml += '</ul></div></div></a>';
		$("body").append(shtml);
		mui('body').on('tap', '.mic-modal-view li', function() {
			$('.Area').html($(this).html());
			$('.mic-modal-view li').removeClass('mic-carno-check');
			$(this).addClass('mic-carno-check');
		});
		mui('body').on('tap', '.mic-carno', function() {
			document.activeElement.blur();
		});
	};
	R.GetCustomerInfo = function(arg, cb) {
		var params = {};
		if(arg.length == 11) {
			params.Data = {
				Phone: arg
			};
		} else {
			params.Data = {
				CarNo: arg
			};
		}
		params.URL = 'AppApi/GetCustomerInfo';
		met.ajax(params, null, function(data) {
			cb(data)
		})
	};
	R.InfoChoice = function(List, cb) {
		$('.mic-user-info').hide();
		if(List.Data.length == 0) {
			cb(-1)
		} else if(List.Data.length == 1) {
			cb(0)
		} else {
			var shtml = '';
			shtml += '<div class="mui-backdrop" id="InfoMatch"><div class="mic-match-nl" style="height:' + (List.Data.length * 40 + 40) + 'px"><div class="mic-match-ms">匹配到' + List.Data.length + '条信息<span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div>';
			for(var i = 0; i < List.Data.length; i++) {

				if(List.Id == 'Phone') {
					var Phone = List.Data[i].Phone;
					shtml += '<div class = "mic-match-content" data-i=' + i + '>手机号：' + (Phone == null ? '匿名' : Phone == '' ? '匿名' : Phone) + '</div>';
				} else {
					shtml += '<div class = "mic-match-content" data-i=' + i + '>车牌号：' + List.Data[i].Area + List.Data[i].CarNo + '</div>';
				}
			}
			shtml += '</div></div>';
			$('body').append(shtml);
			mui('body').on('tap', '.mic-match-remove', function() {
				$('#InfoMatch').remove();
				cb(-1);
			});
			mui('body').on('tap', '.mic-match-content', function() {
				$('#InfoMatch').remove();
				cb(this.getAttribute('data-i'));
			});
		}
	};
	R.BatchInfo = function(Total, Info) {
		$('.mic-user-info').show();
		mui('body').on('tap', '.mic-user-info', function() {
			met.OpenWindow('member_detail.html', null, {
				Total: Total,
				list: Info
			});
		});
		//		if(R.Data == null) return;
		//		var shtml = '';
		//		shtml += '<div class="mui-backdrop" id="BatchInfo" hidden="hidden"><div class="mic-match-nl" style="height:' + (3 * 40 + 40) + 'px"><div class="mic-match-ms"><span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div>';
		//		shtml += '<div class = "mic-match-content mic-match-info">余额：' + Total + '</div>';
		//		for(var i = 0; i < R.Data.length; i++) {
		//			if(R.Data[i].NameAd == '精洗' || R.Data[i].NameAd == '普洗') {
		//				for(var prop in Info) {
		//					if(R.Data[i].Id == prop) {
		//						shtml += '<div class = "mic-match-content mic-match-info">' + R.Data[i].NameAd + '：' + Info[prop] + '次</div>';
		//					}
		//				}
		//			}
		//		}
		//		shtml += '</div></div>';
		//		$('body').append(shtml);
		//		$('.mic-user-info').show();
		//		mui('body').on('tap', '.mic-user-info', function() {
		//			$('#BatchInfo').show();
		//		});
		//		mui('body').on('tap', '#BatchInfo', function() {
		//			$('#BatchInfo').hide();
		//		});
		//		alert(JSON.stringify(Info)) //{3631:47,3659:2,4278:2}
	};
	R._InfoMatch = function(Data) {
		R.Data = Data;
		var $CarNo = $("#CarNo"),
			$Area = $(".mic-carno .Area"),
			$CarBrand = $("#CarBrand"),
			$Phone = $("#Phone"),
			$CarMileage = $("#CarMileage"),
			$ZhName = $("#ZhName"),
			$IdentityNoYes = $("#IdentityNoYes"),
			$IdentityNoNot = $("#IdentityNoNot"),
			$PlanFinishTime = $("#PlanFinishTime"),
			$Remark = $("#Remark"),
			$Displacement = $("#Displacement"),
			$CarEngineNo = $("#CarEngineNo");
		//根据车牌号匹配信息
		$CarNo.blur(function() {
			var Area = $Area.html();
			var CarNo = $.trim($CarNo.val().toUpperCase());
			if(CarNo.length == 0) return;
			$CarNo.val(CarNo);
			if(Area != "其他" && !met.IsLicenseNo(Area + CarNo)) {
				mui.alert('请输入正确的车牌号', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
				return;
			}

			R.GetCustomerInfo(Area + CarNo, function(data) {
				var Info = JSON.parse(data[0].BatchInfoJson);
				var list = {
					Id: data[0].Id,
					Pics: data[0].Pics,
					Phone: data[0].Phone,
					CustomerRank: data[0].CustomerRank,
					BatchId: data[0].BatchId,
					CarNo: data[0].CarNo,
					ZhName: data[0].ZhName
				};
				var Total = data[0].Balance;
				var List = {
					Id: 'Phone',
					Data: data
				};
				R.InfoChoice(List, function(i) {
					if(i == -1) return;
					$CarBrand.val(data[i].CarList[0].BrandZhName).attr({
						'data-brand': data[i].CarList[0].BrandId
					}).attr({
						'data-ser': data[i].CarList[0].SerId
					}).attr({
						'data-spec': data[i].CarList[0].SpecId
					});
					$Phone.val(data[i].Phone).attr({
						'data-phone': data[i].Phone
					});
					$CarMileage.val(data[i].CarList[0].CarMileage);
					$ZhName.val(data[i].ZhName);
					$IdentityNoYes.val(data[i].CarList[0].IdentityNo);
					$IdentityNoNot.val(data[i].CarList[0].IdentityNo);
					$CarEngineNo.val(data[i].CarList[0].CarEngineNo);
					//					R.BatchInfo(Total, Info);
					R.BatchInfo(Total, list);
				})
			})
		});
		//根据手机号匹配信息
		$Phone.blur(function() {
			var Phone = $.trim($Phone.val());
			if(Phone.length > 0) {
				if(!met.IsPhone(Phone)) {
					mui.alert('请输入正确的手机号', '温馨提示', '确定', function(e) {
						e.index
					}, 'div')
				}
			}
		}).keyup(function() {
			var Phone = $.trim($Phone.val());
			if(Phone.length == 11) {
				if(met.IsPhone(Phone)) {
					R.GetCustomerInfo(Phone, function(data) {
						document.activeElement.blur();
						var list = {
							Id: data[0].Id,
							Pics: data[0].Pics,
							Phone: data[0].Phone,
							CustomerRank: data[0].CustomerRank,
							BatchId: data[0].BatchId,
							CarNo: data[0].CarNo,
							ZhName: data[0].ZhName
						};
						var Info = JSON.parse(data[0].BatchInfoJson);
						var Total = data[0].Balance;
						data = data[0].CarList;
						var List = {
							Id: 'CarNo',
							Data: data
						};
						R.InfoChoice(List, function(i) {
							if(i == -1) return;
							var Area = $.trim(data[i].Area);
							var CarNo = $.trim(data[i].CarNo);
							if(Area == "其他") {
								$Area.html(Area);
								$CarNo.val(CarNo);
							} else {
								$Area.html(Area.substr(0, 1));
								$CarNo.val(Area.substr(1, 1) + CarNo);
							}
							$CarBrand.val(data[i].BrandZhName).attr({
								'data-brand': data[i].BrandId
							}).attr({
								'data-ser': data[i].SerId
							}).attr({
								'data-spec': data[i].SpecId
							});
							$CarMileage.val(data[i].CarMileage);
							$ZhName.val(data[i].ZhName);
							$IdentityNoNot.val(data[i].IdentityNo);
							$IdentityNoYes.val(data[i].IdentityNo);
							$CarEngineNo.val(data[i].CarEngineNo);
							//							R.BatchInfo(Total, Info);
							R.BatchInfo(Total, list);
						})
					})
				}
			}
		});
		//有无车牌选择
		mui('body').on('tap', '#topPopover .mui-table-view-cell', function() {
			var Id = this.getAttribute('data-id');
			R.CarNoType = Id;
			$('#topPopover .mui-table-view-cell span').remove();
			$(this).find('a').append('<span class="mui-icon mui-icon-checkmarkempty"></span>');
			if(R.CarNoType == '有牌') {
				$CarMileage.attr({
					"in-must": "T"
				});
				$IdentityNoNot.attr({
					"in-must": "F"
				});
				$('.check-yes').show();
				$('.check-not').hide();
			} else {
				$CarMileage.attr({
					"in-must": "F"
				});
				$IdentityNoNot.attr({
					"in-must": "T"
				});
				$('.check-yes').hide();
				$('.check-not').show();
			}
		});
	};
	R._InputData = function(cb) {
		var $CarNo = $("#CarNo"),
			$Area = $(".mic-carno .Area"),
			$CarBrand = $("#CarBrand"),
			$Phone = $("#Phone"),
			$CarMileage = $("#CarMileage"),
			$ZhName = $("#ZhName"),
			$IdentityNoYes = $("#IdentityNoYes"),
			$IdentityNoNot = $("#IdentityNoNot"),
			$PlanFinishTime = $("#PlanFinishTime"),
			$Remark = $("#Remark"),
			$Displacement = $("#Displacement"),
			$NickNo = $("#NickNo"),
			$CarEngineNo = $("#CarEngineNo");

		var CarNoCheck = R.CarNoType;
		var Area = $Area.html();
		var CarNo = $.trim($CarNo.val().toUpperCase());
		var CarNoType = CarNoCheck == '有牌' ? (Area == '其他' ? 2 : 0) : 1; //0 有牌 1 无牌 2其他
		if(CarNoType != 1 && $Area.attr('in-must') != 'F') {
			if(CarNoType == 0 && Area != "其他" && !met.IsLicenseNo(Area + CarNo)) {
				mui.alert('请输入正确的车牌号', '', '确定', function(e) {
					e.index
				}, 'div');
				return;
			} else {
				if(CarNo == "") {
					mui.alert('请输入正确的车牌号', '', '确定', function(e) {
						e.index
					}, 'div');
					return;
				}
			}
		}
		var each = false;
		$('.mic-input input').each(function() {
			if($(this).attr('in-must') == 'T') {
				if($(this).val() == "") {
					var Text = $(this).attr('placeholder');
					mui.alert(Text, '', '确定', function(e) {
						e.index
					}, 'div')
					each = true;
					return false;;
				}
			} else {
				if($(this).attr('in-must') == 'TP' && $(this).val() != "" && !met.IsPhone($(this).val())) {
					mui.alert('请输入正确的手机号码', '', '确定', function(e) {
						e.index
					}, 'div')
					each = true;
					return false;
				}
			}
		});
		if(each) return;
		var Data = {
			CarNoType: R.CarNoType,
			CarNo: Area + CarNo,
			CarBrandName: $CarBrand.val() || "",
			BrandId: $CarBrand.attr('data-brand') || 0,
			SerId: $CarBrand.attr('data-ser') || 0,
			SpecId: $CarBrand.attr('data-spec') || 0,
			Phone: $Phone.val() || "",
			CarMileage: $CarMileage.val() || 0,
			ZhName: $ZhName.val() || "",
			IdentityNoNot: $IdentityNoNot.val() || "",
			IdentityNoYes: $IdentityNoYes.val() || "",
			CarEngineNo: $CarEngineNo.val() || "",
			PlanFinishTime: $PlanFinishTime.val() || "",
			Displacement: $Displacement.val() || 0,
			NickNo: $NickNo.val() || "",
			Remark: $Remark.val() || ""
		};
		cb(Data)
	};
	//日期选择
	R._DateCheck = function(cb) {
		var DateTime = [];
		for(var i = 0; i < 6; i++) {
			DateTime.push({
				Id: moment().add(-i, 'Month').format('YYYY-MM-DD'),
				ShowId: moment().add(-i, 'Month').format('YYYY年MM月')
			})
		}
		met.TempBody($('#DateCheckTemp'), DateTime);
		cb(true);
	};
	R._ProductOperation = function(List, cb) {
		var shtml = [],
			//			height = List.Type == '轮胎' ? '380px' : List.Type == '违章' ? '380px' : '325px';
			height = List.Type == '违章' ? '380px' : List.Mc == '成本价' ? '275px' : '325px';
		shtml.push('<div class="mui-backdrop" id="ProductOperation"><div class="mic-product-nl" style="height:' + height + '"><div class="mic-product-close"><span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div>');
		shtml.push('<div class="mic-input"><div class="mic-input-row"><label>服务类别：</label><span>' + List.Type + '</span></div></div>')
		if(List.Tag == 'Add') {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>服务项目：</label><input value="' + List.Name + '" type="text" id="ProductName" placeholder="请输入服务项目" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		} else {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>服务项目：</label><div>' + List.Name + '</div></div></div>')
		}
		if(List.Mc != '成本价') {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>价格：</label><input value="' + List.Price + '" type="text" id="Price" placeholder="请输入价格" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		}
		//		if(List.Type == '轮胎' || List.Type == '违章') {
		if(List.Type == '违章') {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>毛利：</label><input value="' + List.Profit + '" type="text" id="Profit" placeholder="请输入毛利" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		}
		if(List.Type == '违章') {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>分数：</label><input value="' + List.Fen + '" type="number" pattern="\\d*" id="Fen" placeholder="请输入违章分数" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		} else {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>数量：</label><input value="' + List.Qty + '" type="number" pattern="\\d*" id="Qty" placeholder="请输入数量" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		}
		if(List.Tag == 'Update') {
			shtml.push('<button type="button" class="mui-btn mic-product-left" data-loading-text="删除中" data-loading-icon-position="left">删除</button>');
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="更改中" data-loading-icon-position="left">更改</button>');
		} else { // Tag: Add&Select
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="添加中" data-loading-icon-position="left">添加</button>');
		}
		shtml.push('</div></div>');
		$('body').append(shtml.join(''));

		mui('#ProductOperation').off('tap');
		mui('#ProductOperation').on('tap', '.mic-product-close', function() {
			$('#ProductOperation').remove();
		});
		mui('#ProductOperation').on('tap', '.mic-product-right', function() {
			cb('right');
		});
		mui('#ProductOperation').on('tap', '.mic-product-left', function() {
			cb('left');
		})
	};
	R._ProductBatchOperation = function(List, cb) {
		var shtml = [];
		shtml.push('<div id="ProductBatchOperation" class="mic-outer"><header id="mheader" class="mui-bar mui-bar-nav mic-bar"><a class="mic-batch-close mui-icon mui-icon-close mui-pull-left mic-bar-color"></a></header><div class="mic-inner">');
		shtml.push('<div class="mic-input"><div class="mic-input-row"><label>套餐名称</label><div>{0}</div></div></div><div class="mic-input"><div class="mic-input-row"><label>套餐总价</label><div id="Total">￥<span>{1}</span></div></div></div>'.format(List.Name, List.Price.toFixed(2)));
		for(var p in List.Ids) {
			shtml.push('<div class="mic-input ProductBatch"><div class="mic-input-row"><label>{3}、名称</label><div>{0}</div></div></div><div class="mic-input"><div class="mic-input-row mic-input-row-batch"><label>单价</label><div>{1}</div></div></div><div class="mic-input"><div class="mic-input-row mic-input-row-batch"><label>数量</label><input type="number" class="Qty" value="{2}" pattern="\\d*" placeholder="请输入数量" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>'.format(List.Ids[p].Name, List.Ids[p].Price.toFixed(2), List.Ids[p].Qty, Number(p) + 1));
		}
		shtml.push('</div><nav class="mui-bar mui-bar-tab">');
		if(List.Tag == 'Update') {
			shtml.push('<button type="button" class="mui-btn mic-product-left" data-loading-text="删除中" data-loading-icon-position="left">删除</button>');
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="更改中" data-loading-icon-position="left">更改</button>');
		} else { // Tag: Add&Select
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="添加中" data-loading-icon-position="left">添加</button>');
		}
		shtml.push('</nav></div>');
		$('body').append(shtml.join(''));
		var immersed = 0;
		var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
		if(ms && ms.length >= 3) {
			immersed = parseFloat(ms[2]);
			var t = document.getElementById('mheader');
			t && (t.style.paddingTop = immersed + 'px', t.style.height = (immersed + 44) + 'px', t.style.background = '-webkit-linear-gradient(top,rgba(215,75,40,1),rgba(255, 121, 67, 0.8))');
		}

		mui('#ProductBatchOperation').off('tap');
		mui('#ProductBatchOperation').on('tap', '.mic-batch-close', function() {
			$('#ProductBatchOperation').remove();
		});
		mui('#ProductBatchOperation').on('tap', '.mic-product-right', function() {
			cb('right');
		});
		mui('#ProductBatchOperation').on('tap', '.mic-product-left', function() {
			cb('left');
		});
		$('.Qty').keyup(function() {
			var Total = 0;
			$('.Qty').each(function(i) {
				var Qty = $(this).val();
				Total += Number(List.Ids[i].Price) * Number(Qty);
			});
			if(isNaN(Number(Total))) {
				return;
			}
			$('#Total').find('span').html(Total.toFixed(2));
		});
	};
	R._ProductScanOperation = function(List, cb) {
		var shtml = [];
		shtml.push('<div class="mui-backdrop" id="ProductOperation"><div class="mic-product-nl" style="height:270px"><div class="mic-product-close"><span class="mic-match-remove mui-icon mui-icon-closeempty"></span></div>');
		shtml.push('<div class="mic-input"><div class="mic-input-row"><label>产品名称：</label><div>' + List.Name + '</div></div></div>')
		if(List.Barcode == '' || List.Barcode == null) {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>产品条码：</label><input type="text" id="Barcode" placeholder="请输入产品条码" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		} else {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>产品条码：</label><div>' + List.Barcode + '</div></div></div>')
		}

		if(List.Tag == 'Update') {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>产品数量：</label><input value="' + List.Qty + '" type="number" pattern="\\d*" id="Qty" placeholder="请输入产品数量" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		} else {
			shtml.push('<div class="mic-input"><div class="mic-input-row"><label>产品数量：</label><input type="number" pattern="\\d*" id="Qty" placeholder="请输入产品数量" /><span class="mic-cue mic-icon icon-asterisk"></span></div></div>')
		}

		if(List.Tag == 'Update') {
			shtml.push('<button type="button" class="mui-btn mic-product-left" data-loading-text="删除中" data-loading-icon-position="left">删除</button>');
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="更改中" data-loading-icon-position="left">更改</button>');
		} else { // Tag: Add&Select
			shtml.push('<button type="button" class="mui-btn mic-product-right" data-loading-text="添加中" data-loading-icon-position="left">添加</button>');
		}
		shtml.push('</div></div>');
		$('body').append(shtml.join(''));

		mui('#ProductOperation').off('tap');
		mui('#ProductOperation').on('tap', '.mic-product-close', function() {
			$('#ProductOperation').remove();
		});
		mui('#ProductOperation').on('tap', '.mic-product-right', function() {
			cb('right');
		});
		mui('#ProductOperation').on('tap', '.mic-product-left', function() {
			cb('left');
		})
	};
	//业绩饼图数据
	R._AchPieData = function(d) {
		var data = [{
			name: '洗车',
			cat: 'Wash',
			value: d.Wash,
			color: R.color[0]
		}, {
			name: '开卡',
			cat: 'Batch',
			value: d.Batch,
			color: R.color[1]
		}, {
			name: '维修',
			cat: 'Repair',
			value: d.Repair,
			color: R.color[2]
		}, {
			name: '保养',
			cat: 'KeepFit',
			value: d.KeepFit,
			color: R.color[3]
		}, {
			name: '美容',
			cat: 'Maintain',
			value: d.Maintain,
			color: R.color[4]
		}, {
			name: '轮胎',
			cat: 'Tire',
			value: d.Tire,
			color: R.color[5]
		}, {
			name: '精品',
			cat: 'Boutique',
			value: d.Boutique,
			color: R.color[6]
		}, {
			name: '改装',
			cat: 'Change',
			value: d.Change,
			color: R.color[7]
		}, {
			name: '违章',
			cat: 'Wz',
			value: d.Wz,
			color: R.color[8]
		}, {
			name: '保险',
			cat: 'Assure',
			value: d.Assure,
			color: R.color[9]
		}, {
			name: '其他',
			cat: 'Other',
			value: d.Other,
			color: R.color[10]
		}];
		return data;
	};
	return {
		CarNo: R._CarNo,
		DateCheck: R._DateCheck,
		InfoMatch: R._InfoMatch,
		InputData: R._InputData,
		ProductOperation: R._ProductOperation,
		ProductBatchOperation: R._ProductBatchOperation,
		ProductScanOperation: R._ProductScanOperation,
		AchPieData: R._AchPieData,
	}
})