(function($) {
	var Menus = null;
	var main = function() {
		mui.init({
			statusBarBackground: "#FF7943"
		});
		$('.mic-login').remove();
		$('#TPhone').remove();
		$('#header').show();
		$('nav').show();
		var subpages = ['main-page.html', 'main-achievement.html', 'main-member.html', 'main-myself.html'];
		var subpage_style = {
			top: '44px',
			bottom: '51px'
		};
		if(Menus.indexOf('M_Opt') >= 0) {
			subpages[0] = 'main-ach-total.html';
			$('#defaultTab').attr({
				'href': 'main-ach-total.html'
			});
		}
		var aniShow = {},
			CanPost = null;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			//设置状态栏背景色
			//		self.addEventListener('show', function() {
			//			plus.navigator.setStatusBarBackground("#FF7943");
			//		}, false);
			plus.navigator.setStatusBarStyle('UIStatusBarStyleBlackOpaque'); //iso 状态栏字体颜色
			plus.screen.lockOrientation("portrait-primary"); //锁屏
			var immersed = 0;
			var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
			if(ms && ms.length >= 3) {
				immersed = parseFloat(ms[2]);
				var t = document.getElementById('header');
				t && (t.style.paddingTop = immersed + 'px', t.style.height = (immersed + 44) + 'px', t.style.background = '-webkit-linear-gradient(top,rgba(215,75,40,1),rgba(255, 121, 67, 0.8))', t.style.color = '#FFF');
				subpage_style.top = (immersed + 44) + 'px';
			}

			var u = plus.storage.getItem('UserInfo');
			u = JSON.parse(u);
			CanPost = JSON.parse(u.CanPostJson || "[]"); //权限选择
			if(CanPost.length > 0) {
				$('#AdminSet').show();
			} else {
				$('#AdminSet').hide();
			}
			plus.nativeUI.showWaiting();
			for(var i = 0; i < 4; i++) {
				var temp = {};
				var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
				if(i > 0) {
					sub.hide();
				} else {
					temp[subpages[i]] = "true";
					mui.extend(aniShow, temp);
				}
				self.append(sub);
			}
		});
		//当前激活选项
		var activeTab = subpages[0];
		var title = document.getElementById("title");
		var active = null,
			lastid, span;
		//选项卡点击事件
		mui('.mui-bar-tab').on('tap', 'a', function(e) {
			var targetTab = this.getAttribute('href');

			if(targetTab == activeTab) {
				return;
			}
			var id = this.querySelector("span").getAttribute('id');
			if(!active) {
				this.classList.add("active");
				if(id) {
					span = this.querySelector("span");
					span.classList.remove("icon-" + id);
					span.classList.add("icon-" + id + "-fill");
					//删除默认首页  
					var home = document.getElementById('home');
					home.classList.remove('icon-home-fill');
					home.classList.add('icon-home');
				}
				active = this;
			} else {
				active.classList.remove("active");
				if(lastid) {
					span.classList.remove("icon-" + lastid + "-fill");
					span.classList.add("icon-" + lastid);
				}

				this.classList.add("active");
				if(id) {
					span = this.querySelector("span");
					span.classList.remove("icon-" + id);
					span.classList.add("icon-" + id + "-fill");
				}

				active = this;
			}
			lastid = id;

			if((targetTab == subpages[0] || targetTab == subpages[3]) && CanPost.length > 0) {
				$('#AdminSet').show();
			} else {
				$('#AdminSet').hide();
			}
			//更换标题
			var titleText = this.querySelector('.mui-tab-label').innerHTML;
			title.innerHTML = titleText == '首页' ? '橙长管家' : titleText;
			//显示目标选项卡
			//若为iOS平台或非首次显示，则直接显示
			if(mui.os.ios || aniShow[targetTab]) {
				plus.webview.show(targetTab);
			} else {
				//否则，使用fade-in动画，且保存变量
				var temp = {};
				temp[targetTab] = "true";
				mui.extend(aniShow, temp);
				plus.webview.show(targetTab, "fade-in", 300);
			}
			//隐藏当前;
			plus.webview.hide(activeTab);
			//更改当前活跃的选项卡
			activeTab = targetTab;
		});
	};

	var IsPwd = true; //true 密码登录  false获取密码登录
	document.getElementById('Switch').addEventListener('toggle', function(event) {
		if(event.detail.isActive) { //true
			IsPwd = false;
			$('.mui-input-row').eq(1).hide();
			$('.mui-input-row').eq(2).show();
		} else {
			IsPwd = true;
			$('.mui-input-row').eq(1).show();
			$('.mui-input-row').eq(2).hide();
		}
	});
	//密码重置
	var pIn = null;
	mui('body').on('tap', '#ResetPwd', function() {
		var self = this,
			ms = 89,
			Phone = $('#Phone').val();
		if(!IsPhone(Phone)) {
			mui.alert('请输入正确的手机号码', '温馨提示', '确定', function(e) {
				e.index
			}, 'div')
			return;
		}
		$(self).attr("disabled", "disabled");
		$(self).html('稍候(' + ms + 's)');
		pIn = setInterval(function() {
			ms--;
			if(ms == 0) {
				clearInterval(pIn);
				$(self).removeAttr("disabled");
				$(self).html('获取密码');
			} else {
				$(self).html('稍候(' + ms + 's)');
			}
		}, 1000);
		mui.toast('正在重置密码，请稍候...')
		ResetPwd(Phone);
	});
	//登录验证
	mui('body').on('tap', '#LoginBtn', function() {
		document.activeElement.blur();
		var Phone = $('#Phone').val();
		if(!IsPhone(Phone)) {
			mui.alert('请输入正确的手机号码', '温馨提示', '确定', function(e) {
				e.index
			}, 'div')
			return;
		}
		var Pwd;
		if(IsPwd) { //true 密码登录  false获取密码登录
			Pwd = $('#Pwd').val();
			if(Pwd == "") {
				mui.alert('请输入服务密码', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
				return;
			}
		} else {
			Pwd = $('#Code').val();
			if(Pwd == "") {
				mui.alert('请输入短信验证密码', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
				return;
			}
		}

		LoginExsit(Phone, Pwd, null, 1, '登录中，请稍候...')
	});

	function ResetPwd(Phone) {
		mui.ajax('https://m.guanjia.cz888.com/AppApi/ResetPwd', {
			data: {
				Phone: Phone
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			success: function(data) {
				if(data.Code == 0) {
					mui.alert(data.Msg, '温馨提示', '确定', function(e) {
						e.index
					}, 'div');
					return;
				}
				mui.alert('密码重置成功，验证密码即将发送到您手机中！', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
			},
			error: function(xhr, type, errorThrown) {
				clearInterval(pIn);
				$('#ResetPwd').removeAttr("disabled");
				$('#ResetPwd').html('获取密码');
				switch(type) {
					case 'timeout':
						mui.alert('请求超时，请检测网络状态', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					case 'abort':
						mui.alert('请求拒绝，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					default:
						mui.alert('错误代码：' + type + '，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
				};
			}
		});
	};
	//登录方法
	function LoginExsit(Phone, Pwd, unionid, Type, txt) {
		//		main();
		plus.nativeUI.showWaiting(txt);
		mui.ajax('https://m.guanjia.cz888.com/AppApi/LoginValid', {
			data: {
				Type: Type,
				Phone: Phone,
				Pwd: Pwd,
				unionid: unionid
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(data.Code == 0) {
					if(Type == 1) {
						mui.alert('确认手机和密码正确情况下，请联系IT人员是否具有管家权限进入。', '手机登录失败', '确定', function(e) {
							e.index
						}, 'div');
					} else if(Type == 2) {
						mui.alert('请关注橙长在线车服务公众号，进入橙长管家后再次尝试。', '微信登录失败', '确定', function(e) {
							e.index
						}, 'div');
					} else {
						mui.alert(data.Msg, '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
					}
					return;
				}
				Menus = data.Menus || "";
				plus.storage.setItem("LoginInfo", JSON.stringify({
					Phone: Phone,
					Pwd: Pwd,
					unionid: unionid,
					Type: Type,
				}));
				//				alert(JSON.stringify(data.Data))
				//登录成功
				plus.storage.setItem("UserInfo", JSON.stringify(data.Data));
				main(); //进入主页面
				var CanPost = JSON.parse(data.Data.CanPostJson || 0);
				if(CanPost.length > 0) {
					AdminCanPost(CanPost); //权限选择
				}
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				switch(type) {
					case 'timeout':
						mui.alert('请求超时，请检测网络状态', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					case 'abort':
						mui.alert('请求拒绝，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					default:
						mui.alert('错误代码：' + type + '，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
				};
			}
		});
	};

	function IsPhone(Phone) {
		return /^((13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8})|(100(09|32)\d{6})$/.test(Phone);
	};

	var auths = {},
		pc = null;

	function plusReady() {
		plus.payment.getChannels(function(channels) {
			for(var i in channels) {
				var channel = channels[i];
				if(channel.id == "wxpay") {
					if(channel.serviceReady) {
						$('#WxLogin').show();
					}
				}
			}
		}, function(e) {});
		// 获取登录认证通道
		plus.oauth.getServices(function(services) {
			for(var i in services) {
				var service = services[i];
				auths[service.id] = service;
//				if(service.id == "weixin") {
//				}
			}
		}, function(e) {});

		var LoginInfo = plus.storage.getItem('LoginInfo');
		if(LoginInfo != null) {
			LoginInfo = JSON.parse(LoginInfo);
			$('#Phone').val(LoginInfo.Phone);
			if(LoginInfo.Type == 1 || LoginInfo.Type == 2) {
				$('#Pwd').val(LoginInfo.Pwd);
				LoginExsit(LoginInfo.Phone, LoginInfo.Pwd, LoginInfo.unionid, LoginInfo.Type, '自动登录中，请稍候...')
			}
		}
	}
	document.addEventListener('plusready', plusReady, false);
	// 登录认证
	function wxlogin(id) {
		var auth = auths[id];
		if(auth) {
			var w = null;
			if(plus.os.name == "Android") {
				w = plus.nativeUI.showWaiting();
			}
			document.addEventListener("pause", function() {
				setTimeout(function() {
					w && w.close();
					w = null;
				}, 2000);
			}, false);

			auth.login(function() {
				w && w.close();
				w = null;
				userinfo(auth);
			}, function(e) {
				w && w.close();
				w = null;
				mui.alert('登录认证失败！', '温馨提示', '确定', function(e) {
					e.index
				}, 'div')
			});
		} else {
			mui.alert('微信登录认证失败！', '温馨提示', '确定', function(e) {
				e.index
			}, 'div')
		}
	}
	// 获取用户信息
	function userinfo(a) {
		a.getUserInfo(function() {
			//			alert(JSON.stringify(a.userInfo));
			//			var nickname = a.userInfo.nickname || a.userInfo.name;
			LoginExsit(null, null, a.userInfo.unionid, 2, '登录中，请稍候...')
				//			mui.alert('欢迎您使用：' + nickname, '温馨提示', '确定', function(e) {
				//				main();
				//			}, 'div')
		}, function(e) {
			mui.alert('微信登录认证失败', '温馨提示', '确定', function(e) {
				e.index
			}, 'div')
		});
	}
	//微信授权登录
	mui('body').on('tap', '#WxLogin', function() {
		// 获取支付通道
		plus.payment.getChannels(function(channels) {
			for(var i in channels) {
				var channel = channels[i];
				if(channel.id == "wxpay") {
					if(channel.serviceReady) {
						wxlogin('weixin')
					} else {
						plus.nativeUI.confirm('系统未安装微信服务，无法完成微信授权，是否立即安装？', function(e) {
							if(e.index == 0) {
								channel.installService();
							}
						}, "温馨提示", ['是', '否']);
					}
				}
			}
		}, function(e) {});

	});
	//手机登录弹出虚拟键盘
	mui('body').on('tap', '#PhoneLogin', function() {
		Keyboard();
	});
	//返回
	mui('body').on('tap', '#LoginBack', function() {
		document.activeElement.blur();
	});
	//用户权限选择
	function AdminUpdate(params) {
		var Data = params;
		var u = plus.storage.getItem('UserInfo');
		u = JSON.parse(u);
		Data.uid = u.uid;
		Data.openid = u.openid;
		plus.nativeUI.showWaiting('正在修改角色权限...');
		mui.ajax('https://m.guanjia.cz888.com/AppApi/UpdateRole', {
			data: Data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(data.Code == 0) {
					mui.alert(data.Msg, '温馨提示', '确定', function(e) {
						e.index
					}, 'div');
					return;
				}
				//登录
				var LoginInfo = plus.storage.getItem('LoginInfo');
				if(LoginInfo != null) {
					LoginInfo = JSON.parse(LoginInfo);
					if(LoginInfo.Type == 1 || LoginInfo.Type == 2) {
						LoginExsit(LoginInfo.Phone, LoginInfo.Pwd, LoginInfo.unionid, LoginInfo.Type, '数据刷新中，请稍候...')
					} else {
						mui.alert('数据刷新失败', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
					}
				} else {
					mui.alert('数据刷新失败', '温馨提示', '确定', function(e) {
						e.index
					}, 'div');
				}
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				switch(type) {
					case 'timeout':
						mui.alert('请求超时，请检测网络状态', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					case 'abort':
						mui.alert('请求拒绝，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
					default:
						mui.alert('错误代码：' + type + '，请稍候重试', '温馨提示', '确定', function(e) {
							e.index
						}, 'div');
						break;
				};
			}
		});
	};

	function AdminCanPost(CanPost) {
		var list = [],
			d = CanPost;
		for(var i in d) {
			var PostList = d[i].PostList;
			for(var m in PostList) {
				var RoleList = PostList[m].RoleList;
				for(var n in RoleList) {
					list.push({
						title: d[i].DeptName + '-' + PostList[m].PostName + '-' + RoleList[n].RoleName,
						DeptId: d[i].DeptId,
						PostId: PostList[m].PostId,
						RoleId: RoleList[n].RoleId
					})
				}
			}
		}
		mui('body').on('tap', '#AdminSet', function() {
			plus.nativeUI.actionSheet({
					title: "角色权限选择",
					cancel: "取消",
					buttons: list
				},
				function(e) {
					if(e.index > 0) {
						AdminUpdate(list[e.index - 1]);
					}
				});
		});
	};

	function Keyboard() {
		var nativeWebview, imm, InputMethodManager;
		var initNativeObjects = function() {
			if(mui.os.android) {
				var main = plus.android.runtimeMainActivity();
				var Context = plus.android.importClass("android.content.Context");
				InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
				imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
			} else {
				nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
			}
		};
		var showSoftInput = function() {
			var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
			if(mui.os.android) {
				//强制当前webview获得焦点
				plus.android.importClass(nativeWebview);
				nativeWebview.requestFocus();
				imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
			} else {
				nativeWebview.plusCallMethod({
					"setKeyboardDisplayRequiresUserAction": false
				});
			}
			setTimeout(function() {
				//此处可写具体逻辑设置获取焦点的input
				var inputElem = document.querySelector('input');
				inputElem.focus();
			}, 100);
		};
		mui.plusReady(function() {
			initNativeObjects();
			showSoftInput();
		});
	};
})(jQuery)