define(['met', 'mos'], function(met, mos) {
	var _ = {
		Data:null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		met.ajax({
			URL: 'AppApi/RoleBatch'
		}, null, function(data) {
			_.Data = data;
			_.BatchClassHtml();
		});
	};
	_.BatchClassHtml = function() {
		var shtml = [],
			List = _.Data;
		shtml.push('<ul class="mic-batch-view">');
		for(var m in List) {
			var EffectTime = List[m].EffectTime;
			var EffectTimeUnit = List[m].EffectTimeUnit.toUpperCase();
			var Unit = EffectTimeUnit == "YEAR" ? "年" : EffectTimeUnit == "MONTH" ? "月" : EffectTimeUnit == "DAY" ? "天" : "";
			var time = EffectTime == 50 ? (EffectTimeUnit == "YEAR" ? "无限制" : EffectTime + "" + Unit + "") : EffectTime + "" + Unit + "";
			shtml.push('<li data-id="{4}" style="background-image: url(../img/tc-{0}.png);"><div class="mic-batch-name">{1}</div><div class="mic-batch-date">有效期：{2}</div><div class="mic-batch-shop">适用门店：{3}</div></li>'.format(m % 4 + 1, List[m].Name, time, List[m].ShopName, m));
		}
		shtml.push('</ul>');
		$('#BatchClass').html(shtml.join(''));
		_.event();
	};
	_.event = function() {
		mui('body').on('tap', '.mic-batch-view li', function() {
			var m = this.getAttribute('data-id');
			met.OpenWindow('c_card_detail.html', null, {
				BatchName:_.Data[m].Name,
				BatchPrice:_.Data[m].Price,
				BatchId: _.Data[m].Id
			});
		});
	};
	return {
		run: _.init
	};
})