define(['met', 'mos'], function(met, mos) {
	var _ = {
		MedelsCheck: false,
		Data: null,
		BrandId: 0,
		SerId: 0,
		SpecId: 0,
		BrandName: null,
		SerName: null,
		SpecName: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.MedelsCheck = plus.webview.currentWebview().MedelsCheck || false;
		_.params = {
			URL: 'AppApi/GetCarBrand'
		}
		met.ajax(_.params, null, function(data) {
			_.Data = data;
			_.html();
		});
	};
	_.html = function() {
		var hHtml = [],
			cHtml = [],
			t = true,
			h = _.Data.HotList,
			c = _.Data.ColdList;
		for(var m in h) {
			hHtml.push('<li class="mui-table-view-cell mui-media mui-col-xs-0 mui-col-sm-0" data-id={0} data-name="{2}"><img src="..{1}" /><div class="mui-media-body">{2}</div></li>'.format(h[m].Id, h[m].Pic, h[m].ZhName));
		}
		$('.mic-view-hot').html(hHtml.join(''));
		for(var n = 0; n < c.length; n++) {
			if(n == 0 || c[n].PinYin != c[n - 1].PinYin) {
				cHtml.push('<ul class="mui-table-view mic-view-cold"><li class="mui-table-view-cell models-group" data-group="{0}">{0}</li>'.format(c[n].PinYin));
			}
			cHtml.push('<li class="mui-table-view-cell" data-id="{0}" data-name="{2}"><img src="..{1}" /><span>{2}</span></li>'.format(c[n].Id, c[n].Pic, c[n].ZhName));
			if(n == c.length - 1 || c[n].PinYin != c[n + 1].PinYin) {
				cHtml.push('</ul>');
			}
		}
		$('#ColdData').html(cHtml.join(''));
		//侧滑容器父节点 点击事件
		mui('#offCanvasContentScroll').on('tap', '.mui-table-view-cell', function() {
			_.BrandId = this.getAttribute('data-id');
			_.BrandName = this.getAttribute('data-name');
			_.SerId = 0;
			_.SpecId = 0;
			_.SerName = null;
			_.SpecName = null;
			if(!_.MedelsCheck) {
				_.BeforeBack();
				return;
			}
			met.ajax({
				URL: 'AppApi/GetCarModel',
				Data: {
					Id: this.getAttribute('data-id')
				}
			}, null, function(data) {
				if(data.length == 0) {
					_.BeforeBack();
					return;
				}
				var html = [];
				for(var i = 0; i < data.length; i++) {
					html.push('<li class="mui-table-view-cell mui-collapse" data-id="{0}" data-name="{1}"><a class="mui-navigate-right" href="#">{1}</a><ul class="mui-table-view mui-table-view-chevron"></ul></li>'.format(data[i].Id, data[i].ZhName))
				}
				$('#ModelDetails').html(html.join(''));
				mui('#offCanvasWrapper').offCanvas('show');
				$('.mic-models-letter').hide();
			});
		});
		//关闭侧边栏
		mui('body').on('tap', '.mui-off-canvas-backdrop', function() {
			$('.mic-models-letter').show();
		})
		mui('#offCanvasSideScroll').scroll();
		mui('#offCanvasContentScroll').scroll();
		//侧边栏菜单事件
		var CheckId = null;
		mui('#offCanvasSideScroll').on('tap', '.mui-table-view-cell', function() {
			var _this = this,
				Id = this.getAttribute('data-id');
			if(Id == CheckId) {
				return;
			}
			CheckId = Id;
			_.SerId = Id;
			_.SerName = this.getAttribute('data-name');
			$('#offCanvasSideScroll .mui-table-view-cell').removeClass('mui-active');
			met.ajax({
				URL: 'AppApi/GetCarModel',
				Data: {
					Id: Id
				}
			}, null, function(data) {
				if(data.length == 0) {
					_.BeforeBack();
					return;
				}
				var html = [];
				for(var i = 0; i < data.length; i++) {
					html.push('<li class="mui-table-view-cell" data-id={0} data-name="{1}">{1}</li>'.format(data[i].Id, data[i].ZhName))
				}
				$(_this).find('.mui-table-view').html(html.join(''));
				$(_this).addClass('mui-active');
				mui(_this).on('tap', '.mui-table-view li', function() {
					_.SpecId = this.getAttribute('data-id');
					_.SpecName = this.getAttribute('data-name');
					_.BeforeBack();
				})
			});
			return false;
		});
		//		var scroll = mui('#offCanvasContentScroll').scroll();
		//		document.querySelector('#offCanvasContentScroll').addEventListener('scroll', function(e) {
		//			console.log(scroll.y);
		//		})
		_.event();
	};
	_.event = function() {
		//字母跳转
//		mui('body').on('tap', '.mic-models-letter li', function() {
//			//			mui.scrollTo(0, 500);
//			var id = this.getAttribute('data-id');
//			mui('.models-group').each(function (index,element) {
//				var group = element.getAttribute('data-group');
//				if(group == id) {
//					var scroll = $(element).offset().top;
//					alert(scroll)
//					$("#offCanvasContentScroll").animate({
//						scrollTop: scroll-44
//					}, 500);
//					return false;
//				}
//			})
//
//		});
		//		mui('body').on('tap', '.mui-table-view-cell', function() {
		//			
		//		});
		mui('.oms-main').on('tap', '.cold-click', function() {
			clickevent(this);
		});

	};
	_.BeforeBack = function() {
		mui.init({
			beforeback: function() {
				var self = plus.webview.currentWebview();
				var Page = plus.webview.getWebviewById(self.Url);
				mui.fire(Page, 'CarBrandEvent', {
					BrandId: _.BrandId,
					SerId: _.SerId,
					SpecId: _.SpecId,
					BrandName: _.BrandName,
					SerName: _.SerName,
					SpecName: _.SpecName
				});
				return true;

			}
		});
		mui.back();
	};
	return {
		run: _.init
	};
})