define(['met'], function(met) {
	var _ = {
		SerId: 0,
		SpecId: 0,
		SerName: null,
		SpecName: null
	};
	_.init = function() {
		mui.init({
			keyEventBind: {
				backbutton: false,
				menubutton: false
			}
		});

		var main = plus.webview.currentWebview().opener();
		var data = plus.webview.currentWebview().Data;
		var html = [];
		for(var i = 0; i < data.length; i++) {
			html.push('<li class="mui-table-view-cell mui-collapse" data-id="{0}" data-name="{1}"><a class="mui-navigate-right" href="#">{1}</a><ul class="mui-table-view mui-table-view-chevron"></ul></li>'.format(data[i].Id, data[i].ZhName));
		}
		$('#ModelDetails').html(html.join(''));

		var CheckId = null;
		mui('body').on('tap', '.mui-collapse', function() {
			var self = this,
				Id = self.getAttribute('data-id');
			if(Id == CheckId) {
				return;
			}
			CheckId = Id;
			_.SerId = Id;
			_.SerName = this.getAttribute('data-name');
			$('.mui-table-view-cell').removeClass('mui-active');

			met.ajax({
				URL: 'AppApi/GetCarModel',
				Data: {
					Id: Id
				}
			}, null, function(data) {
				if(data.length == 0) { //退出
					closeMenu();
					return;
				}
				var html = [];
				for(var i = 0; i < data.length; i++) {
					html.push('<li class="mui-table-view-cell" data-id={0} data-name="{1}">{1}</li>'.format(data[i].Id, data[i].ZhName))
				}
				$(self).find('.mui-table-view').html(html.join(''));
				$(self).addClass('mui-active');
				mui(self).on('tap', '.mui-table-view li', function() {
					_.SpecId = this.getAttribute('data-id');
					_.SpecName = this.getAttribute('data-name');
					closeMenu();
				})
			});
			return false;
		});

		function closeMenu() {
			mui.fire(main, "menu:swiperight", {
				SerId: _.SerId,
				SpecId: _.SpecId,
				SerName: _.SerName,
				SpecName: _.SpecName
			});
		}
	};
	return {
		run: _.init
	};
})