define(['met'], function(met) {
	var _ = {
		params: null
	};
	_.init = function() {
		var UserId = plus.webview.currentWebview().UserId;
		var list = plus.webview.currentWebview().list;
		mui.init({
			swipeBack: true
		});
		_.params = {
			URL: 'AppApi/batchdetail',
			Data: {
				UserId: UserId,
				BatchId: list.BatchId
			}
		}
		met.ajax(_.params, null, function(data) {
			var html = [],
				d = data;
			html.push('<ul class="mui-table-view mic-batch-detail">');
			for(var i = 0; i < d.Details.length; i++) {
				html.push('<li class="mui-table-view-cell">{0}<div class="mui-ellipsis">￥{1}<label>'.format(d.Details[i].ProductName, d.Details[i].ServicePrice.toFixed(2)));
				if(d.Details[i].ServiceType == 0) {
					html.push('总次数<span>{0}</span>次/已使用<span>{1}</span>次/剩余<span>{2}</span>次'.format(d.Details[i].Qty, d.Details[i].HasUsedQty, d.Details[i].Qty - d.Details[i].HasUsedQty));
				} else if(d.Details[i].ServiceType == 1) {
					html.push('<span>￥{0}</span>'.format(d.Details[i].FixPrice));
				} else {
					html.push('<span>{0}</span>折优惠'.format(d.Details[i].Discount));
				}
				html.push('</label></div></li>');
			}
			html.push('</ul>');
			html.push('<div class="mic-batch-info">原价 <label>￥{0}</label></div>'.format(d.SourcePrice.toFixed(2)))
			html.push('<div class="mic-batch-info">优惠价格 <label>￥{0}</label></div>'.format(d.BatchPrice.toFixed(2)))
			html.push('<div class="mic-batch-info">购买价格 <label>￥{0}</label></div>'.format(d.BuyPrice.toFixed(2)))
			html.push('<div class="mic-batch-info">适用门店：{0}</div>'.format(d.DeptName))
			$('#BatchDetail').html(html.join(''));
		});
	};
	return {
		run: _.init
	};
})