define(['met', 'mos'], function(met, mos) {
	var _ = {
		params: null,
		UserId: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.init.list();
	};
	_.init.list = function() {
		mos.CarNo();
		_.event();
	};
	_.event = function() {
		window.addEventListener('CarBrandEvent', function(e) {
			//获得事件参数
			var data = e.detail;
			$('#CarBrand').val(data.BrandName).attr({
				'data-brand': data.BrandId
			}).attr({
				'data-ser': data.SerId
			}).attr({
				'data-spec': data.SpecId
			});
		});
		//品牌选择
		mui('body').on('tap', '#CarBrand', function() {
			met.OpenWindow('c_models.html', 'slide-in-bottom', {
				Url: 'member_add.html'
			});
		});
		//数据提交
		mui('body').on('tap', '.mic-btn-submit', function() {
			//获取数据方法
			mos.InputData(function(data) {
				var params = {
					BrandId: data.BrandId,
					SerId: data.SerId,
					SpecId: data.SpecId,
					CarNo: data.CarNo,
					Phone: data.Phone
				};
				met.ajax({
					URL: 'AppApi/AddUser',
					Data: params
				}, null, function(data) {
					mui.confirm('添加成功</br>是否继续添加会员信息？','温馨提示',['返回','继续'],function (e) {
						if(e.index==1){
							location.reload();
						}else{
							mui.back();
						}
					},'div')
				});
			});
		})
	};
	return {
		run: _.init
	};
})