define(['met'], function(met) {
	var _ = {
		Type:null,
		pn: 1, //当前页数
		PageSize: 50 //一页条数
	};
	_.init = function() {
		_.Type = plus.webview.currentWebview().Type;
		var title = _.Type == 'All' ? '全部会员' :_.Type == 'Batch' ? '套餐会员' : '关注会员';
		$('.mui-title').html(title);
		
		mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				down: {
					callback: function() {
						_.pn = 1;
						_.GetData(1);
					}
				},
				up: {
					contentrefresh: '正在加载...',
					callback: function() {
						_.pn = _.pn + 1;
						_.GetData(_.pn);
					}
				}
			}
		});
		_.pn = 1;
		_.GetData(1)
	};
	_.GetData = function(pn) {
		var u = plus.storage.getItem('UserInfo');
		u = JSON.parse(u);
		_.params = {
			URL: 'AppApi/member',
			Data: {
				pn: pn,
				PageSize: _.PageSize,
				tag: _.Type,
				sType: _.Type,
				Menus:u.Menus,
				iscount: 0
			}
		}
		met.ajax(_.params, null, function(data) {
			if(data.User.Code==0){
				mui.alert(data.User.Msg,'温馨提示','确定',function (e) {
				   e.index
				},'div')
				return;
			}
			_.Data = data.User.Data;
			_.OutputHtml(pn);
		});
	};
	_.OutputHtml = function(pn) {
		var html = [],
			d = _.Data;
		for(var i = 0; i < d.length; i++) {
			html.push('<li data-list='+"'"+JSON.stringify(d[i])+"'"+' class="mui-table-view-cell mui-media"><a class="mui-navigate-right"><img class="mui-media-object mui-pull-left" src="{0}"><div class="mui-media-body mic-member-img">{1}'.format(d[i].Pics == '' ? '../img/tx.png' : d[i].Pics, d[i].Phone));
			if(d[i].CustomerRank == 50) {
				html.push('<img src="../img/mem_09.png">');
			} else {
				html.push('<img src="../img/mem_10.png">');
			}
			if(d[i].BatchId > 0) {
				html.push('<img src="../img/mem_11.png">');
			}
			html.push('<p class="mui-ellipsis">{0}{1}</p></div></a></li>'.format(d[i].CarNo == null ? '' : d[i].CarNo, d[i].ZhName == '' ? '' : '<' + d[i].ZhName + '>'));
		}		
		if(d.length==0){
			html.push('<p class="mic-search-alert">没有数据</p>');
		}
		if(pn == 1) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			$('.mui-table-view').html(html.join(''));
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh((d.length < _.PageSize));//true没有数据
			$('.mui-table-view').append(html.join(''));
		}
		mui('#pullrefresh').off('tap');
		mui('#pullrefresh').on('tap', '.mui-table-view li', function() {
			met.OpenWindow('member_detail.html', null, {
				list: JSON.parse(this.getAttribute('data-list'))
			});
		});
	};
	return {
		run: _.init
	};
})