define(['met', 'mos', 'uploads'], function(met, mos, uploads) {
	var _ = {
		Data: null,
		Details: [],
		TotalFee: 0
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		_.params = {
			URL: 'AppApi/GetProductList'
		}
		_.init.list();
		//		met.ajax(_.params, null, function(data) {
		//			_.Data = data;
		//			_.init.list();
		//		});
	};
	_.init.list = function() {
		mos.CarNo();
		mos.InfoMatch();
		uploads.Init('A');
		_.GetViewParams();
		_.event();
	};

	_.GetViewParams = function() {
		window.addEventListener('CarBrandEvent', function(e) {
			//获得事件参数
			var data = e.detail;
			$('#CarBrand').val(data.BrandName).attr({
				'data-brand': data.BrandId
			}).attr({
				'data-ser': data.SerId
			}).attr({
				'data-spec': data.SpecId
			});
		});
	};
	_.event = function() {
		mui('body').on('tap', '.mui-btn', function(e) {
			mui(this).button('loading');
		});
		//品牌选择
		mui('body').on('tap', '#CarBrand', function() {
			met.OpenWindow('c_models.html', 'slide-in-bottom', {
				Url: 'v_order_assure.html'
			});
		});
		mui('body').on('tap', '.mic-assure-view a', function() {
			uploads.ClickEvent(this);
		})
		mui('body').on('tap', '#ProductType', function() {
			document.activeElement.blur();
		});
		//数据提交
		mui('body').on('tap', '#BtnOrderSubmit', function() {
			//获取数据方法
			mos.InputData(function(data) {
				var BusAssureFee = $("#BusAssureFee").val();
				if(isNaN(Number(BusAssureFee))) {
					mui.alert('商业保险金额格式不正确', '友情提示', '好的', function(e) {}, 'div')
					return;
				}
				var MustAssureFee = $("#MustAssureFee").val();
				if(isNaN(Number(MustAssureFee))) {
					mui.alert('交强险金额格式不正确', '友情提示', '好的', function(e) {}, 'div')
					return;
				}
				var CarShipFee = $("#CarShipFee").val();
				if(isNaN(Number(CarShipFee))) {
					mui.alert('车船税金额格式不正确', '友情提示', '好的', function(e) {}, 'div')
					return;
				}
				var params = {
					OrderSource: 3,
					BrandId: data.BrandId,
					SerId: data.SerId,
					SpecId: data.SpecId,
					TotalFee: 0,
					CarNo: data.CarNo,
					ZhName: data.ZhName,
					TotalFee: 0,
					Details: JSON.stringify([]),
					Phone: data.Phone,
					BusAssureFee: BusAssureFee,
					MustAssureFee: MustAssureFee,
					CarShipFee: CarShipFee,
					Remark: data.Remark
				};

				//带图片上传调用接口
				uploads.UploadsEvent(params, 'AppApi/UploadCreateOrder', function(data) {
					if(data.Code == 0) {
						mui.alert(data.Msg, '友情提示', '确认', function(e) {
							e.index
						}, 'div')
						return;
					}
					mui.confirm('开单成功，是否继续开单？', '友情提示', ['返回', '继续'], function(e) {
						if(e.index == 1) {
							location.reload();
						} else {
							mui.back();
						}
					}, 'div')
				});
			});
		})
	};

	return {
		run: _.init
	};
})