define(['met'], function(met) {
	var _ = {
		Data: null
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		met.ajax({
			URL: 'AppApi/MyApply'
		}, null, function(data) {
			_.Data = data;
			_.OutputHtml();
		});
	};
	_.OutputHtml = function() {
		var html = [],
			d = _.Data;
		for(var i = 0; i < d.length; i++) {
			html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">采购申请单<p>{0}</p></div>'.format(d[i].BillDate));
			
			html.push('</div><div class="mui-card-content">');
				html.push('<div class="mic-card-content-innter">申请状态：<span>{0}</span></div>'.format(d[i].StatusName));
				html.push('<div class="mic-card-content-innter">申请单号：<span>{0}</span></div>'.format(d[i].BillNo));
			if(d[i].CarNo != '' && d[i].CarNo != null && d[i].CarNo.length > 5) {
				html.push('<div class="mic-card-content-innter">车牌号码：{0}</div>'.format(d[i].CarNo));
			}
			if(d[i].IdentityNo != '' && d[i].IdentityNo != null) {
				html.push('<div class="mic-card-content-innter">车架号码：{0}</div>'.format(d[i].IdentityNo));
			}
			//
			html.push('<ul class="mic-detail-view mic-card-view"><li class="mic-card-product"><label>采购项目</label>');
			html.push('</li>');
			var t = d[i].Details;
			for(var m = 0; m < t.length; m++) {
				html.push('<li><div class="mic-detail-left">项目{0} {1}</div><div class="mic-detail-right"><span>×{2}</span><span>成本价：{3}</span></div></li>'.format(Number(m) + 1, t[m].ProductName, t[m].Qty, t[m].Price));
			}
			html.push('</ul></div></div>');
		}
		if(d.length == 0) {
			html.push('<p class="mic-search-alert">没有数据</p>');
		}
		$('.mui-content').html(html.join(''));
	};
	return {
		run: _.init
	};
})