define(['met'], function(met) {
	var _ = {
		Data: null,
		TData: null,
		Tag: false
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		met.ajax({
			URL: 'AppApi/PssReport'
		}, null, function(data) {
			_.Data = data;
			_.ReportHtml();
		})
	};
	_.ReportHtml = function() {
		var html = [],
			d = _.Data;
		for(var i = 0; i < d.length; i++) {
			html.push('<div class="mui-card" data-id="{1}"><div class="mui-card-header mui-card-media mic-card-header"><div class="mui-media-body">实体店选址报告<p>{0}</p></div>'.format(d[i].ActDate,d[i].Id));
		
			html.push('</div><div class="mui-card-content">');
			
			html.push('<div class="mic-card-content-innter">部门：{0}</div>'.format(d[i].DeptName));
			html.push('<div class="mic-card-content-innter">拓展人员：{0}</div>'.format(d[i].Name));
			html.push('<div class="mic-card-content-innter">公司名称：{0}</div>'.format(d[i].Company));
			html.push('<div class="mic-card-content-innter">联系人：{0}</div>'.format(d[i].Contacts));
			html.push('<div class="mic-card-content-innter">电话：{0}</div>'.format(d[i].Tel));
			html.push('<div class="mic-card-content-innter mic-rows">地址：{0}</div>'.format(d[i].AddressFull));
			html.push('<div class="mic-card-content-innter">点击进入报告详情...</div>'.format(d[i].AddressFull));
			
			html.push('</div></div>');
		}
		$('.mui-content').html(html.join(''));
		mui('body').on('tap','.mui-card',function(){
		  	met.OpenWindow('v_report_detail.html', null, {
				Id: this.getAttribute('data-id')
			});
		}) 
	};
	return {
		run: _.init
	};
})