define(['met'], function(met) {
	var _ = {
		Data: null,
		TData: null,
		Tag: false
	};
	_.init = function() {
		mui.init({
			swipeBack: true
		});
		met.ajax({
			URL: 'AppApi/Storage'
		}, null, function(data) {
			_.Data = data;
			$('#StockNum').html(data.length);
			_.StockHtml();
			_.SearchEvent();
		})
	};
	_.StockHtml = function() {
		var html = [],
			d = _.Tag == true ? _.TData : _.Data;
		for(var i = 0; i < d.length; i++) {
			html.push('<div class="mui-card"><div class="mui-card-header mui-card-media mic-member-header"><div class="mui-media-body">{0}</div></div>'.format(d[i].ProductName));
			html.push('<div class="mui-card-content mic-card-content"><div class="mic-card-content-innter">商品类型：{0}</div><div class="mic-card-content-innter">所属仓库：{1}</div><div class="mic-card-content-innter">库存数量：{2}</div></div></div>'.format(d[i].ProductCatName, d[i].WarehouseName, d[i].Inventory));
		}
		var self;
		if(_.Tag) {
			self = $('.mic-search .mui-content');
		} else {
			self = $('#StockResult');
		}
		self.html(html.join(''));
	};
	_.SearchEvent = function() {
		mui('body').on('tap', '#SearchBtn', function() {
			var html = [];
			html.push('<div class="mic-search"><header id="header" class="mui-bar mui-bar-nav mic-bar"><form method="post"><input class="mic-search-input" type="search" placeholder="请搜索商品名称"/><span class="mic-search-cancel">取消</span></form></header>');
			html.push('<div class="mui-content"></div></div>');
			$('body').append(html.join(''));
			$('.mic-search .mic-search-input').focus();
			$('.mic-search .mic-search-input').unbind().bind('input propertychange', function() {
				var searchData = $(this).val();
				if(searchData == "") {
					return;
				}
				var SearchList = [];
				for(var i = 0; i < _.Data.length; i++) {
					var ProductName = _.Data[i].ProductName.toString();
					if(ProductName.indexOf(searchData.toString()) >= 0) {
						SearchList.push(_.Data[i])
					}
				}
				_.TData = SearchList;
				if(_.TData.length == 0) {
					$('.mic-search .mui-content').html('<p class="mic-search-alert">没有数据</p>');
					return;
				}
				_.Tag = true;
				_.StockHtml();
			});
			mui('.mic-search').on('tap', '.mic-search-cancel', function() {
				$('.mic-search').remove();
			})
		})
	};
	return {
		run: _.init
	};
})